commit f78abf2c346e83474e5654eaeb002407a3d73251
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 28 16:38:42 2011 +0900

    bump version

commit c4e045463bc797fe96259ad506982ef72076f5ae
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 4 14:32:17 2011 +0900

    set rd=2 in subscriptions

commit 19a293cf74c91620ea2801c17900a6370dcfcef7
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 24 13:20:19 2011 +0900

    don't return a negative delay for failed cards

commit 5e23e168c0c4ffe4b10e43b886f42679f91764e0
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 20 14:08:35 2011 +0900

    bump version

commit 0b82e1ab3a7f62a97eeb8b86238994af33b40999
Merge: c79db60 008c590
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 20 13:47:56 2011 +0900

    Merge branch 'master' of ../stable/lib

commit 008c5904ca2354ce79379b2e398d1f3dd14e2fac
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 20 13:45:45 2011 +0900

    when calculating delay, compare against cutoff, not current time

commit c79db601c6659fd83fd92c973f6c4943d205f7de
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 14 03:22:08 2011 +0900

    typo

commit e9ec7f3649d9c606125c42ff2bb833513bd2988f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 14 03:13:16 2011 +0900

    don't escape remote image links
    
    thanks to mark (mhl) for the report

commit 88fdaef93907b821cfb0ed1252041f5fc4e50f3d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 9 21:54:52 2011 +0900

    rely on system-installed setuptools

commit f156f81a845071e1b65434ca7d5cf25a9fa625e3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 9 00:36:16 2011 +0900

    don't add a mature bonus when cramming

commit 88280277291e7f2362ee4258a8c33624b6c712f1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 9 00:23:45 2011 +0900

    when calculating next interval ensure we don't have a negative delay

commit 8a1df1728fe1778e67a2026911d3f94ca0e0d839
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 8 02:45:22 2011 +0900

    rebuildTypes()
    
    - ensure we're fixing relativeDelay for suspended cards
    - remove priority compat code

commit 07db17be8836bfb6252ac87071d469f4aae7dcc1
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 7 00:04:39 2011 +0900

    off by one in relativeDelay sync code

commit ff38dad5b23bb00c56a709b651f586cd37791e92
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 4 20:33:13 2011 +0900

    remove redundant code

commit 1b027af4396b2f22a11f271cd07ddc8304e6819d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 3 00:22:03 2011 +0900

    bump version

commit 340b5864c8b38d6862df53b003a9e3aefdeaea47
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 3 00:18:42 2011 +0900

    when deck is finished stop timeboxing timer

commit f3a336a4e41c1c90776631bfde8abc26f3c39903
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 3 00:14:36 2011 +0900

    when exporting a standard anki deck, don't put media in dropbox

commit b8e19d5506fa0494cc1336906a786f31e13341f5
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 3 00:10:40 2011 +0900

    don't copy media on export if disabled

commit 1464394d58b66f28c4058c4278f1c580c353c91e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 23:52:34 2011 +0900

    when the day rolls over, update due cutoffs too, and rebuild queue

commit e49a9bb5ac3d82b05f48f8959c4b8b25de52337d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 23:47:58 2011 +0900

    relative sibling spacing for reviews
    
    Anki 1.0 had a similar feature but we do things a bit differently now. The
    relative spacing applies only to reviews, and spaces cards according to their
    interval, instead of spacing all cards the same. Any delay < 1 full day is
    treated as no delay, so with the default 10% setting, reviews with an interval
    < 10 days are not spaced at all. This should hopefully cut down on support
    queries for people wondering why many of their cards were delayed, allows the
    two settings to be documented separately, and does away with the somewhat
    confusing usage of non-integer new sibling values to disable review spacing.

commit 66e44f494b9efa086e158b032fdcabc363872f61
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 22:12:06 2011 +0900

    don't update factor in cram, learn more, etc

commit 338838583e38f1a98b213921b4212c423c1fb15a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 22:10:44 2011 +0900

    more last interval preservation into cram scheduler code

commit 09e6e1bd65521f31ef00f351fd1719069b84756a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 22:04:12 2011 +0900

    fix media db check freezing interface if no media folder

commit 9bf850c7018b4130c3515e891feecabe38346db1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 18:44:49 2011 +0900

    don't allow & in filenames as qt tries to escape them in a string

commit 80bb59024c2e300039d4d8989c63ac9c53d8fbfd
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 18:36:58 2011 +0900

    utility for percent-escaping images

commit b426ad4271d60cffe236ea63ca2365fc55a8b283
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 1 18:57:44 2011 +0900

    fix html comments in translator's patch

commit 04babfb102ca8c8b367b0da23c7a1daa701d85d5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 31 12:59:48 2011 +0900

    if latex didn't run, prompt user to install

commit e0d5b9d69ea1cab60f37cd29821e4cc07edbcc8d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 30 15:31:29 2011 +0900

    never set lastSync=0 when toggling syncing
    
    we should rely on needFullSync() to determine whether a full sync is actually
    necessary.

commit d362decca21a8a7a13220f0f7c85c17a21cc2079
Merge: ab94512 b0b9cd2
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 30 12:46:13 2011 +0900

    Merge https://github.com/ymasory/libanki

commit b0b9cd2ce3345d52cda61411b5f123497930fbbf
Author: Yuvi Masory <ymasory@gmail.com>
Date:   Sat Jan 29 22:40:29 2011 -0500

    suppress indentation

commit ab9451253cdf0e3a322509f4c9163650dd0eac60
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 29 11:01:43 2011 +0900

    now all clients are updated, set delay1 = 0 if 600

commit eb0bb89f44023876d83ae8577426707f12565f55
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 27 08:13:10 2011 +0900

    bump version

commit 523adc468edbff53b1d10262df0b848e2f7b2504
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 27 07:45:45 2011 +0900

    allow user to disable review spacing

commit be8eec52bc53be355aa60be98ccca631d3a8539c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 15:06:51 2011 +0900

    make sure latex.py works indepent of gui

commit 942307190ec60af9233b5846b56de4bda2f0e923
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 15:04:32 2011 +0900

    catch duplicate tags in upgrade

commit ed5a8b0e3e7eea2dd29bfffee216b8944b9e6fd6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 14:36:45 2011 +0900

    make sure created is reset

commit be3f32755ef8deb09e949e64df7b7c8e2892a806
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 14:32:53 2011 +0900

    new option for tz reset without unpack

commit 744cf3b16c4290b3f8dc8ab30dd209037a12c595
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 13:59:54 2011 +0900

    don't create empty media folder in upgrade

commit 6071f8e209ff9ec1521831385034d514eaecbfe6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 12:59:24 2011 +0900

    include latex in alt tags of generated image

commit b533c99375fdfb1d9e637b8781dddf011b18c5e6
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 24 09:07:47 2011 +0900

    typo in upgrade code

commit 7a56e26be643b92860e4512b1cc9b37cf9ca578e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 07:36:10 2011 +0900

    bump version

commit e042ef5e62b0b75606ee759bc25c6588f98d11ec
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 07:36:05 2011 +0900

    make the format upgrading smarter

commit c1d15b8a9ed67af3cfe231b0c9d3b9ca0b8c4bd2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 21 11:02:07 2011 +0900

    clearer message when facts missing after sync

commit 6860bba0de26ca2ddbdde2ee132a88bc4895ce19
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 21 09:36:04 2011 +0900

    ensure failed mature come at the start of the future day
    
    - this fixes a state where cards failed on that future day could end up
      with an earlier due date that the rest of the failed mature cards, leading
      to the newly failed cards being repeated prematurely
    - this leads to non-deterministic scheduling of the mature bonus fails, so
      they are effectively randomized which is probably what most users want

commit 4859778d2c2a07291a8a2224e045c7d53f7d436c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 21 06:41:34 2011 +0900

    preserve old default card-level formatting

commit 0e08092f65464676b96e0783aee9e55fd839fc0a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 20 05:30:13 2011 +0900

    disable callable replacement which isn't supported on older pythons

commit f945e60d6d4aed603751f51f5eda0aff4cb56593
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 19 05:17:39 2011 +0900

    when renaming fields, look for the non-space version instead

commit 0fc662a9199ad237a298317065adf00730fdea0d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 19 02:34:13 2011 +0900

    don't try to delete normalized version

commit bd7f5787cc989cb2b70ab6e079777233bafd1f91
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 19 01:18:27 2011 +0900

    fix a bug with relativeDelay not being set on card answer

commit d57a371ca54b5fc2a4d5a1e2e5be1c98e09a7baa
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 04:33:16 2011 +0900

    bump version

commit b8711fe8536fca7d828388cbb5f822694af3bba6
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 02:22:55 2011 +0900

    fix win32 audio issue when temp dir has foreign chars

commit e55d4768a3b498888072157905fc8dabe42e7c91
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 01:18:29 2011 +0900

    normalize for check, but not for db

commit 98fb0f5bb9fab0650be692aaeb4823ec672d2f65
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 17 01:36:19 2011 +0900

    apply selective study to review early

commit 3d5a427f85a97180fac1567d2f77109b59d667ea
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 23:08:09 2011 +0900

    fix include&exclude tags case

commit 0a9c498cbd55eacd6ff38c51757aa69893da9b99
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 22:49:37 2011 +0900

    fix media db check on non-unicode dir

commit 276ec634b9cd6b30b3f41c5e96be18a6ce33b90c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 19:03:02 2011 +0900

    ignore new cards in hiddenCards()

commit f7a813831c684d20de3c2226db575880e6c90e40
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 05:28:32 2011 +0900

    don't error out if sound is missing on win32

commit ab5c1621e3d4928da109a9a2ead28998ce9ad5a2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 02:54:53 2011 +0900

    bump version

commit 29a53b268f78677d98bc3199ce35a0e60e41dea5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 00:31:07 2011 +0900

    strip qt's rtl marker

commit 31df2fac012d45f7cdb0188b075640008d65de4d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 23:32:25 2011 +0900

    work around osx decomposing files on HFS+ partitions. sigh.

commit eec317bfc3172e759484027f6e2cf3eee8b9db06
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 21:27:35 2011 +0900

    work around mplayer on win32 not handling foreign characters

commit 149fbee33eccbf86324eb34586ce8147c4e64b5d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 20:00:35 2011 +0900

    fix new-style template replacement; support cond rendering

commit cdcde2f2d37d327f1a6bdfddbdfcbe8294362fb1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 19:43:38 2011 +0900

    fix unicode warning when invalid template message given

commit 9b7a55d964ab46b7fde64648eb75461f9cdc858d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 19:21:40 2011 +0900

    remove some old indices

commit 0b07707e680e54ed9fd8b841c42cd3355c9a79c7
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 07:55:39 2011 +0900

    make sure we don't try to send the queues when bundling deck

commit bef86bdbf31ee6341be7f3cce13f5a87c35d0d73
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 06:21:23 2011 +0900

    make sure default font sizes are set on upgrade

commit 5c0421b6e06a29a033de27fc6ba16acd675f2c03
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 05:54:41 2011 +0900

    bump version

commit 3fe6167d7fc3e123c70784617e56cfce21e0146c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 05:25:20 2011 +0900

    Revert "temp hack to prevent latex generation on ankiweb"
    
    This reverts commit a334f839b8f5042c810ae9a1729f1bbf75a8a4ab.
    
    fixed on the server side now

commit fdd88080c86d1ed48e70d1f8fa1608639e0468d0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 05:25:05 2011 +0900

    work around ankidroid getbool bug

commit 3f5befc2e74e87770c3fbc944135b27260b2bcc5
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 04:20:37 2011 +0900

    don't alter lastSync on upgrade

commit a334f839b8f5042c810ae9a1729f1bbf75a8a4ab
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 12 20:36:12 2011 +0900

    temp hack to prevent latex generation on ankiweb

commit 175f3f0a0e4d356014dd4542866bf23ed107ba30
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 12 16:31:02 2011 +0900

    bump version

commit 46a441fc0bb5d5aab04a11bca469ffb9d760641f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 10 19:26:14 2011 +0900

    remove obsolete bulk fetching

commit c534362071f00cab855f212e4b36d41c44691fa5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 10 19:02:33 2011 +0900

    bump version

commit 9af5d4d5ed1b9e3f0245c9c3383503d98f27221c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 10 18:58:59 2011 +0900

    apply limit to new card count

commit 87ffbedf163e130d57b6aecc6109ed2489ded29b
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 9 15:23:03 2011 +0900

    remove unused clause in earliestTime()

commit 2ca1627add3957cd86f65f91f5521de82ec83e41
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 9 15:12:17 2011 +0900

    use cardLimit() in cardsDueBy(), not just earliestTime()

commit 82231a71b25de51318717022613778bf4140cf17
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 7 21:43:13 2011 +0900

    bump version

commit 7cb17e6e8d146bdf431e05924287aee32ed538ee
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 7 21:42:24 2011 +0900

    restart mplayer if it's died

commit 2ca27d389f8b836986e681321f94669dc1b1fea0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 7 13:35:15 2011 +0900

    fix local syncing

commit 2e2d93649e8f33de7a393c58fb225ed81831d285
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 6 14:24:30 2011 +0900

    bump version

commit 1f34abc00365da5cfe40c302edec5e522fb8a15e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 4 15:51:24 2011 +0900

    more fixes for skewed clocks
    
    if a client with a clock greater than server time synced a deck, the modified
    time ended up higher than lastSync when the deck was modified on the server.
    instead we force the modified time to be <= the server time, which is known
    correct.

commit d717be8849fd97dbf02e43ec594ebffb4958376f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 4 12:32:33 2011 +0900

    move to a thread event to fix race condition
    
    The old conditional objects had a problem where the calling code was
    notifyAll()ing before the helper threads had started waiting.

commit 3a7f8fdc7a75cf39d668bb47763ea829214426c8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 4 11:59:24 2011 +0900

    change win32 mplayer testing location

commit 33cbbdc368bae0669e40854b3debb4e660a33512
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 3 13:46:27 2011 +0900

    bump version number

commit 5a9c75dfe423a7b3d68cd7cefbf55bf705e4a5d3
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 3 13:01:05 2011 +0900

    don't stop audio playing on clear

commit a4df2106673962f746371802d0d653dae16ba1f7
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 22:17:34 2011 +0900

    add group_concat compat code from wm port

commit 545c2cddcdc2267ddf9d9010ed28884fb0cbe944
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 19:25:27 2011 +0900

    bump version

commit b235461d8b63bb61cacf2685279ecf610a623c4f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 17:43:53 2011 +0900

    space cards to next session if per-day off

commit b45f07158171ae7fd7e93e530d4759161905935a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 17:35:17 2011 +0900

    option to limit graphs to selective study

commit 329ab99ff7598ae961b922f4203fe3ff36538ec9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 13:05:18 2011 +0900

    add seen card count back for plugins

commit d56bddea2d6ae367c411a1db16eaf644ea4a8ec7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 28 03:53:30 2010 +0900

    refactor sound code
    
    this addresses a bug where mplayer was sometimes not being restarted when
    opening a new deck, and should remove the need for atexit or hacks in the GUI
    code to make sure mplayer is closed

commit ece9b2eccdc6145aba127d588c40c047761cccae
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 21:39:20 2010 +0900

    don't limit failed cards to 0 when cramming

commit a18abb0f977dbfbf5ec05a841ff10164f2e09f9c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 04:32:25 2010 +0900

    add timestamp to recording files

commit 6f10c588f6cd29f8a1f35c85e97894cf33998b6f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 03:01:39 2010 +0900

    bump version number

commit a2606dd70a88a2601b77d9428c9854287956c736
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 26 07:35:15 2010 +0900

    remove some unused calls

commit 9890c775146daab60b3fe2090dd034b52272158a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 26 07:29:31 2010 +0900

    update finished screen to use blanket inactive/suspended msg

commit 856839e0558936682c475ac10739d08fc925a32f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 26 06:01:24 2010 +0900

    include reviews in spaced card count; bold text

commit 63106578cdfd5f59a70786be91504847a5d461b9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 26 05:54:05 2010 +0900

    don't decrement due counts when spacing
    
    This works fine if the user is showing all cards, but if they have limited
    reviews to certain categories, it can result in the counts going negative
    because we decremented for cards which weren't actually due. Determining if a
    card was actually due or not is an expensive operation, so instead we leave
    the counts alone and make sure reviews will finish early if the new/rev counts
    are non-zero but the queue is empty.

commit 93a67931daea544b300b53cf190a42c6e5bb3c36
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 12:48:36 2010 +0900

    bump version number

commit ba235029447c3660069c740ce65f393a9f59b5fc
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 12:44:06 2010 +0900

    fix a unit test

commit ff5bc721213395e8057a38792a034fc1a74a01eb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 12:43:35 2010 +0900

    pass in a 0 timediff if using stock sync()

commit f0bf1989bc8bfa49f2f53585a02930878a66c780
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 12:42:28 2010 +0900

    new code to download remote links and replace with local ones

commit 50622a31278408b49e82ba6427fbe286346272f9
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 22 08:06:44 2010 +0900

    encode latex after everything else

commit 61812b173d79fdaa97a94c1d9ae56506e089b604
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 21 23:58:36 2010 +0900

    mention syncing disabled case

commit ee7da2bd65567b5fe1680e81a86292899351cd1f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 21 06:41:42 2010 +0900

    update comment

commit afa34d9d39e863df89a6ab3dbbe5e577a57d9a8c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 21 01:45:17 2010 +0900

    bump version

commit 425789535f11a47168a641d0adbea9947f49ff36
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 20 00:37:16 2010 +0900

    don't trim whitespace in sections

commit 5c4d7b1789597389546e3ba7427a4d41d5af6648
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 21:29:48 2010 +0900

    don't include http/ftp links in media db

commit 7c45bab35aecf86b7d554146536cb6338186b4dd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 21:04:47 2010 +0900

    rate-limit sync progress messages for win32 installs with huge net bufs

commit ca07cb8f263d3fb177aa198b614bdc168bdc105f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 04:27:12 2010 +0900

    don't dump upgrade notices on stderr if not attached to gui

commit 400ca9a8a2a9810c3ad3581634077fed548eca5e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 03:26:09 2010 +0900

    factor in time difference when determining common point

commit 6860f64f2872502fd5141e71686ca0f16b56b4f2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 02:03:35 2010 +0900

    try to recover tags of card, too

commit 1b219679b6818853cfb219e97735ca918d03e545
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 01:48:01 2010 +0900

    bump version

commit 5eb00296d52f342e8c4366c1bc5dfb9cf0989300
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 01:46:14 2010 +0900

    always space rev cards to the next day

commit 7065abcf4f03b0b8447310de3c75ed69bb6ac92b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 16 22:23:51 2010 +0900

    only collapse failed cards after cutoff updated

commit e4447818ffd99f241ff0b490e11663bfe2af2094
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 16 04:28:31 2010 +0900

    make sure learn more considers inactive cards

commit acb72327b2014165c7715bbf2b73b681200ac264
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 16 01:42:12 2010 +0900

    don't leave stale entries in media db if just scanning

commit 4e5b725166721be0b05448a91e3eadb11fa75d92
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 16 01:22:23 2010 +0900

    and make sure xhtml syntax works too

commit 2a629a179d8c35304d99648bee25f8d734821719
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 16 01:12:45 2010 +0900

    add missing trailing > to img regexp

commit 907fa5c80e7ce5e65232de9d8ce4f38a3b591051
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 04:46:40 2010 +0900

    tweak spaceCards()

commit d2e3d7932d3b1aff114bd5f308ea433a45e31de7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 03:53:02 2010 +0900

    bump version

commit 0363cc70f445060c45b14ad416dd80f0a0c0db7c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 03:52:18 2010 +0900

    preserve more of the old formatting on upgrade
    
    because field formatting is always on now, users with custom font
    sizes/families set only on the card will still have to alter their templates
    and either configure the fields or replace the references with triple
    curly braces

commit 09b017bb24eddbdf50c552931f344be1a0968906
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 02:03:12 2010 +0900

    not sorting on combinedDue anymore, so don't bother with that upgrade step

commit 9ed9ec79cc13107fdf83639f800601b51b67c570
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 06:56:04 2010 +0900

    make them case-insensitive too

commit 525f44c9c53067405b4935085a37606e089d33e6
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 06:54:40 2010 +0900

    more robust img regexp

commit 7ce661ac633d3847f0b372a7d400c70feb7ae4ef
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 06:46:20 2010 +0900

    place cards with corrupt/missing facts into new fact instead of deleting

commit 154bf0cef4d5061e87d87aab97de82d6b19429dd
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 04:09:55 2010 +0900

    bump version

commit 0a01d9f867866d6da5203a7d526cacd1e2d4770c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 03:21:05 2010 +0900

    make latex preamble easier to read

commit d0c6db0d62e1a775dfc62dd1b29a91cf8ea0188b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 02:29:21 2010 +0900

    only regenerate indices once during upgrade from 1.0

commit d14761b428b52c2a904f5c018b34f6eec3cabc39
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 02:21:08 2010 +0900

    sort new cards by due not combinedDue; index optimizations
    
    - ensure queue filling selects can be satisfied by index alone
    - sort by due instead of combinedDue so we can decouple card order from
      new spacing

commit 5de6bb57ed3ef7a9b737b18da9109bd15efc2fc3
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 00:26:34 2010 +0900

    auto-analyze when we've updated a dynamic index

commit 6563f0cefb58fb0fa11ba8e228b17d83306e4daf
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 12 20:07:20 2010 +0900

    update test for new media handling

commit 902800de999756359bed111839f1c8fe7e6889d3
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 12 02:00:06 2010 +0900

    answers exceeding 60 seconds now log the full 60 instead of 0

commit cc8dbccf3864f2f30e58609da85fa1b4cd4b633b
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 12 00:09:40 2010 +0900

    don't set combinedDue twice in answerCard

commit 49b744f77d79286bef5c79cdd710cdbda03989a1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 22:04:24 2010 +0900

    limit plugin warning to once a session

commit 98597dd56d44d7cf7e013674dd08e257ea27764d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 22:01:07 2010 +0900

    bump version

commit 58b20b0626a6c7f0a6c46aad8e7a1239f8bc29ae
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 18:36:01 2010 +0900

    make sure subprocess is available so we can set startupinfo

commit 7ab5a53e38d7694277d6d5d111851d47df06e578
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 17:02:51 2010 +0900

    remove superfluous 0

commit 98304accb0b8f48a31f95fa1301484cd50dacb25
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 16:30:26 2010 +0900

    return actual checksum, or sqlite tries to treat it like an int

commit 35fd3de6fb21cbe657d466056d07cfa770051da1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 15:55:22 2010 +0900

    reset if there were buried cards, since updatePriorities() doesn't

commit 59df94ff7407d7bc40ad842bb6ab33ed9abae94c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 12:54:30 2010 +0900

    add compat code for fact.setModified()

commit 9f276e3163e2c1a1ced58e4fb3fefa861fba83da
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:33:25 2010 +0900

    bump version

commit e3838464a21c2ce297e25e1283b835882795cff4
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:20:36 2010 +0900

    use rec instead of tmp for recording name

commit f42a2e4a00d764cedb494035530e8048129fd23c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:17:00 2010 +0900

    rebuild q/a cache to include latex

commit 7a196b3747a6c4353bcdbad6795aea9657725d16
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:13:37 2010 +0900

    don't bother to return used media

commit 70eb44bce2ff0fd06c28d656d0def78e0a68f00b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:05:00 2010 +0900

    latex improvements
    
    - move latex preamble into a deck var and include amsmath by default
    - include the pre/postamble in the hash, so changes to the preamble result in
      newly generated images

commit b0f300bb744ce4644df4a93258f777ec7eb687c0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 01:46:29 2010 +0900

    fix latex generation bug caused my mediaDir() always chdiring now

commit 4d2d9eab81927c15705f5365c209bd0b602981f4
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 01:40:49 2010 +0900

    generate latex at fact modification, not review
    
    - latex now slots in to the formatQA hook to render images in the q/a
    - moved call() to utils
    - cache/uncache latex have been obsoleted. User can delete manually, and
      images will be regenerated with a DB check

commit 0c9672e7b8473646372529d095a87f1113f3b0ea
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 00:51:48 2010 +0900

    rewrite media support
    
    - media is no longer hashed, and instead stored in the db using its original
      name
    - when adding media, its checksum is calculated and used to look for
      duplicates
    - duplicate filenames will result in a number tacked on the file
    - the size column is used to count card references to media. If media is
      referenced in a fact but not the question or answer, the count will be zero.
    - there is no guarantee media will be listed in the media db if it is unused
      on the question & answer
    - if rebuildMediaDir(delete=True), then entries with zero references are
      deleted, along with any unused files in the media dir.
    - rebuildMediaDir() will update the internal checksums, and set the checksum
      to "" if a file can't be found
    - rebuildMediaDir() is a lot less destructive now, and will leave alone
      directories it finds in the media folder (but not look in them either)
    - rebuildMediaDir() returns more information about the state of media now
    - the online and mobile clients will need to to make sure that when
      downloading media, entries with no checksum are non-fatal and should not
      abort the download process.
    - the ref count is updated every time the q/a is updated - so the db should be
      up to date after every add/edit/import
    - since we look for media on the q/a now, card templates like '<img
      src="{{{field}}}">' will work now
    - export original files as gone as it is not needed anymore
    - move from per-model media URL to deckVar. downloadMissingMedia() uses this
      now. Deck subscriptions will have to be updated to share media another way.
    - pass deck in formatQA, as latex support is going to change

commit c4c98470287b3da5088213a14ca62ae8dcb204e0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 10 18:02:18 2010 +0900

    fixed sync unit test

commit 75da977026ec93c589f8844f40f0fb842b6097cb
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 18:01:16 2010 +0900

    bump version

commit 27ca04fab6cd2cdb1e15170a831150052657e738
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 15:34:01 2010 +0900

    support a media prefix

commit 84a98550f0d8a6b8c6f8f55735b85711d09d68a4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 12:55:00 2010 +0900

    always change cwd to media dir

commit 1bbffec0d6f3b54d51e9ee2b7a6b9b46fbc5b529
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 12:53:01 2010 +0900

    abort download missing media early; remove obsolete forceMediaDir

commit e5d9697d28f4a93174a21561a129656a37ef9745
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 12:00:00 2010 +0900

    don't break older clients with new delay1 setting

commit cdac2bf8d7a9f208d2a35050d009f3a7708686fe
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 10:43:45 2010 +0900

    workaround card ordering bug from older versions

commit 7fc593a2ceb9abe3262e7deff0024f854c07045a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 17:05:19 2010 +0900

    fix tag update

commit 3491a5e3789a5faf9b0253ff96ceee20690c9103
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 15:59:16 2010 +0900

    add an index for modified to speed up sync.summary()
    
    testing indicates this can produce a 2x performance improvement on lastSync=0,
    and much more for partial syncs

commit fe97616ecd42478f3ccc49f1a64f5aa4f4c4cb6f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 15:38:06 2010 +0900

    add temporary index for priority

commit 05f60c49c8dfd513accd7eb8b1993df06a0d0c52
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 15:28:28 2010 +0900

    add rebuild arg for minimal startup
    
    this bypasses rebuilding the queue and other startup initialization and thus
    loads the deck considerably faster. This is useful when you want to perform
    operations on the deck like syncing, but don't need the ability to review
    cards

commit 044f28af5a7d15fc242658cd49ad6fb4b62ec1d5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 13:57:58 2010 +0900

    fix unit tests now that post sync .reset() is explicit

commit 878c9abb839248cc57bd013cdb21bdb02cf3ee32
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 18:04:53 2010 +0900

    bump version

commit 9f91e904b2efd73f06d5194db5ac572754e123e8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 17:18:17 2010 +0900

    re-enable locked check

commit 1a5c8d2435d06715ce51ac335e7db3607ae6ab87
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 17:13:25 2010 +0900

    fix from marcus for "field":value search

commit 0194296839dedba5c52930627ac85f5ade4041e3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 16:55:03 2010 +0900

    failed cards at end if !delay0 && !failedCardMax

commit a383223e02e0d3932ed397e5eeee4fde9e9e628d
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 16:48:49 2010 +0900

    provide more info in sync error messages; catch zlib decode errors

commit 2013e7e4ff5e602cc5ebf4af0c1ae41094c52066
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 14:35:16 2010 +0900

    conditional delete of css

commit 15763f8f3cab7d57926c04d4258fbbfeb0b10ab6
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 11:59:02 2010 +0900

    make sure we don't commit during a sync
    
    updateDynamicIndices() is done on next deck load anyway

commit 039af66a9df26ce4a60ea1862ba70f916a4957bf
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 11:56:43 2010 +0900

    don't rebuild counts in applyPayload(), as the deck will be reopened

commit 4c8f2d3b47d94d8e5a848d9145fe9f0253ce96db
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 11:02:23 2010 +0900

    add finish() command to sync protocol

commit 0af8da9cb80dfef7ea994bb8a4a686324d289c17
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 09:20:31 2010 +0900

    sync updates
    
    - set lastSync on successful upload, not before it
    - make sure source file is closed
    - use v2 sync protocol

commit da97701b2df6ac83d7d1bfb61c02176dc7dfc808
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 09:19:09 2010 +0900

    disable lastSync fudging again

commit 2a8ef89ee5e82caee496de88e27650e740013a61
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 07:26:33 2010 +0900

    remove unused binding

commit a2cd19f49a0bdd1e0712a7affce657db865ed800
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 5 17:43:54 2010 +0900

    tell users how they can disable the move check

commit 458357548f8e5ae8b57ec679d3255c0807c3b806
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 23:38:06 2010 +0900

    more sqlalchemy workarounds

commit a23098c92c60266a78fd56afd30a7b41cbf07e42
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 09:55:06 2010 +0900

    bump version

commit 9259718fd5f86a67d805fe76fad1e30745ef7410
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 07:23:54 2010 +0900

    set syncName after full download

commit 7dd57887d0be1b1fe4473534f81341e97a4af07b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 06:48:45 2010 +0900

    update learn more for new spacing

commit b5dd8a9f4bef089362d8a91089b97a3273d82615
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 06:47:16 2010 +0900

    update cram code for new spacing

commit bac4acdaa8907d2acd67ed4740e5f60ef5a33544
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 06:33:40 2010 +0900

    reworked handling of spaced cards; add cms argument to previewFact()
    
    - obsolete spaceUntil - it serves no useful purpose
    - the old per-model spacing variables are obsolete, as the new approach
      requires uniform spacing across all models for new cards
    - introduce a new per-deck variable: newSpacing
    - don't fill new queue if we've done today's cards
    - still need to check cramming / review early
    
    newSpacing is a time in seconds to delay introduction of sibling new cards.
    It can be applied as many times as necessary as there is no harm in new cards
    being delayed repeatedly. Because the default queue length is 200 and it can
    take quite some time for the spaced cards to be placed in the queue again, we
    use a separate array to track spaced new cards provided the configured delay
    is less than 20 minutes. At times under 20 minutes this number is not a
    guaranteed minimum spacing - if the new card queue is empty the spaced cards
    will be flushed before checking the new queue again, as otherwise we end up
    trying to fill on every repetition. The due counts no longer decrease by more
    than one if the spacing is less than the due cutoff, since that confused some
    users.
    
    Review cards are now placed at the end of the current review queue, and will
    never be rescheduled to a different day. The old approach had a number of
    problems:
    
    - the more card models you had, the more likely a card would be spaced
      multiple times, resulting in you forgetting the card before you get a chance
      to review it
    - spacing was applied even if the due card was already late
    - repeatedly failing one card over a period of days or weeks would also stave
      the other cards of attention

commit 53fbc9b3ee629d2afc006e7c26939d1f33236956
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 1 02:54:21 2010 +0900

    if spacing is disabled, don't decrement counts

commit bb901dfa168413e5fd56539c16e25eaf6d8515e2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 1 02:42:13 2010 +0900

    make sure all fields have a font set

commit 9fed5e2bc149e193875bce30452d778fa5492388
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 1 01:21:05 2010 +0900

    work around sqlalchemy problem

commit 2352502807a986759560e101d220a2b8e58c6024
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 03:35:45 2010 +0900

    bump version

commit ae388595da8001aaec26acce3d3d583a787750cb
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 03:28:08 2010 +0900

    add whitespace preservation flag; only show active card models when previewing

commit a5af8fb8e9bcf60b15dd50ef5c9821e9760d30ae
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 29 22:51:55 2010 +0900

    convert pystache to private library since it doesn't behave like upstream

commit dfb21a0f711dd737a4fa1602af2df1921f3fba0b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 29 22:40:20 2010 +0900

    {{{text}}} is returned without field formatting but html intact

commit da1cfa52b18eb3d6737dfef0a761346296dc020a
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 29 22:33:05 2010 +0900

    mention editFontFamily unused

commit b349a96fa5bb6f2fa856c90cca0db24e60f4e3b8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 29 22:27:19 2010 +0900

    drop most of the per-card formatting

commit 74a0998a3624aba9b3e3433ad5f1d8974680821c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 18:21:00 2010 +0900

    bump version

commit 255deb9e9e4fe89770e7aa4d31d65fc9e5620968
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 18:14:09 2010 +0900

    elaborate on debug msg

commit 1293520c332ffc1619770353cbf1cfa62c4141a7
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 04:31:59 2010 +0900

    package pystache

commit 689a74426651118d1f39b49abb7ab5f227fb3782
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:32:59 2010 +0900

    bump version

commit 850d883ab406adf003d30bb3530f86b7b53dfc64
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:26:53 2010 +0900

    update rest of code to recognize&use new rendering

commit ac8f613acadf10318c4e47eade095e69ec35e921
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:06:54 2010 +0900

    use pystache for template rendering; autoconvert old style for now

commit 5c3a63d84ba8f82b636fbe75e4cd98ea673f6a34
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:06:22 2010 +0900

    catch errors or missing fields when rendering template

commit 9f6a21e0a74e11079bd148d13957e872975794d5
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 20:58:19 2010 +0900

    switch raw and escaped modifiers

commit 6d787a92f1e004b6bfc731be4db2bc68ae982c44
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 20:48:34 2010 +0900

    disable partial rendering

commit 9e790ce74773c1a1e04374558413650e79b2592a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 14:16:29 2010 +0900

    add pystache

commit f247133ed8a9ac6e4a9dc3955611a16496b95b08
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 13:14:16 2010 +0900

    make syncName work with foreign chars

commit ca9aeaa086510ff0fe5b742860a69ba9db32f89d
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 23:35:26 2010 +0900

    don't allow mature delay over a week for now; fix delay being reset to 0

commit 386de21f8767e3406559c7cfda0f8aca60c75f6b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 21:59:09 2010 +0900

    don't fudge matplotlib path on win32

commit e58d7f8dac02855b2cd582ae1b0aebbd10b0045d
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 04:20:40 2010 +0900

    bump version

commit 84b99b1ae509fa9f1dc6dd36dd6b86d3949e8177
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 03:49:01 2010 +0900

    don't allow tags to be prefixed with a colon, as this breaks sqlite

commit 3aa787a1461c6d24084e7f6c74ff291673229136
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 03:39:58 2010 +0900

    remove print statement

commit 00087ed101143548fc21bf2788c042722fbfcc00
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 03:26:02 2010 +0900

    find duplicates support

commit d5390181376be2c931cc710e442a444d540672bd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 03:25:32 2010 +0900

    support multiple facts in fid: query

commit 367143f4f371af7184a248a29f73f61025752fbb
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 01:49:10 2010 +0900

    make sure to set cards as not due when resetting/rescheduling for old clients

commit f4a35e9b0317e3d6ddd1d4028d788797215da1a3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 01:48:54 2010 +0900

    support tags: at the top of file to import; fix comment stripping

commit e3dd736460c2d9dfafbdb900343cfa4d79b9d60b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 01:36:24 2010 +0900

    add ability to update fields when importing

commit dd00d1a5e1896842a969c13beabaa2b352a8db33
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 25 21:56:08 2010 +0900

    when rebuilding tag priorities, don't include obsolote suspended

commit 8f18299cc5b67d1ae2d7b69d312bb1991a3d1cac
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 24 05:39:06 2010 +0900

    typo

commit f698481c19134c063b3c98961ef38ad90d2784d8
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 24 05:32:09 2010 +0900

    don't keep changing the hard interval on load
    
    only adjust it if it looks like the defaults haven't been changed

commit 6bdca8b3c64e2705b323dd94517b1b5ec365955b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 24 05:14:07 2010 +0900

    fix available card limiting when using %(tags)s, %(cardModel), etc

commit 45dfc97e9f7fb808829076fae7d0349a63aed4af
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 24 05:09:00 2010 +0900

    add axis labels to graphs
    
    note that due to limitations in the graphing library, these can't be
    translated at the moment.

commit 33567edb3ed31a21a7d38b298bf9fb12d6b1bc2f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 24 04:30:55 2010 +0900

    numerous graph changes
    
    - use bar graphs instead of line graphs for 3 months or less
    - easier to read shades of blue for reps graph
    - simplify day cutoff calculation
    - fix off by one bug in work done data
    - add missing entries when calculating cumulative due

commit 7491cfc521f9b2a987d69bd4892fdd67ce0484f6
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 23 23:12:34 2010 +0900

    new syncName handling
    
    - the local deck name must now match the online deck
    - syncName is a hash of the current deck's path or None
    - the hash is checked on deck load, and if it is different (because the deck
      was copied or moved), syncing is disabled. This should prevent people from
      accidentally clobbering their online decks

commit 6ec898ca4b2ad4c5977291a9792f52041ab733e8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 23 17:41:36 2010 +0900

    Require explicit reset for most queue-modifying functions
    
    When you call operations like deleteCards(), suspendCards() and so on, it is
    now necessary to call deck.reset() afterwards. This allows the calling code to
    delay a reset if necessary. If the calling code calls a function that says the
    caller must reset, the caller should be sure to call .reset() and fetch the
    current card again. Failure to do the latter will result in answerCard()
    attempting to remove the card from the queue, when the queue has been cleared.

commit 943c9a0e5faf6156837379997d4dd826a76a15a8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 23 15:33:54 2010 +0900

    make sure the finished message displays cards due tomorrow

commit 03503cd9b94932f0223aa78e0dbc522bb39fa2c5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 22 08:09:20 2010 +0900

    fix cram from ids case

commit b03f30c27915943f0c3c98dc7e9c680607cb2826
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 14:24:46 2010 +0900

    no need to adjust hardInterval in upgrade; handled in deck open

commit 76135dc8beff99fdb3e3256bf565e0f476d2451c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 13:39:28 2010 +0900

    updated failed card handling when cramming
    
    - temp suspend all answered cards, regardless of type
    - fails influence the standard scheduling too

commit 37e269ab81820285a768cbf76df4f02e2f94eb07
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 12:58:14 2010 +0900

    bump version for coming development release

commit 937d6a6513627ed9231156c9d6467440428d0fb5
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 12:32:58 2010 +0900

    update earliestTime() for new failed cards handling

commit b4493f0ec8b4b7252383562a036e17a7a73f8142
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 12:25:54 2010 +0900

    user may set young delay to more than a day

commit 8e9d14a0fdc685c35c8ea11b1601ef86fdbb0970
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 16 18:04:04 2010 +0900

    avoid passing the second fade argument, as it seems to be more robust

commit c2f2225b7f6840d74c8f3182018c84773d90dc45
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 16 11:27:27 2010 +0900

    update combinedDue for the current card object, not just for the db

commit 0afec850c0393b8c62087b1ab401f396ea906f4c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 15 14:29:52 2010 +0900

    on second thought, avoid suspended cards or this will bite us in the future

commit 1cd5125d4e45c21d6fcb7a2ffa63058207cc6067
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 15 14:27:52 2010 +0900

    remove the rest of the obsolote rebuildTypes() code

commit 26470c997e33060c0266fc38df0593ba9d1f0ec7
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 15 14:07:13 2010 +0900

    remove unused where clause from rebuildTypes()

commit 6d2e32e2df990eee1b8b3e0861b9c386856ada6a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 14 08:16:07 2010 +0900

    finished message should use cutoff + 24hrs

commit 6f8a5d6a24d2ec6568c7f58ec82e85ac843d996a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 14 08:11:28 2010 +0900

    fix wrong priority code in rebuildTypes()

commit aa753d35a502b7820f1905a9aaf074686fc1df99
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 14 07:37:51 2010 +0900

    don't include suspended cards in graphs

commit 1f8adc791a96333f96fa562c1ea71185bab4a290
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 21:39:52 2010 +0900

    a few failed cards related fixes
    
    - make sure cardLimit() matches on sql statements that are broken over lines
    - fix logic in getCardId()
    - don't increment failed count if delay1>0 and card was mature

commit 7502fba5cea112daacb152d26fd5c619c15b7713
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 21:15:41 2010 +0900

    change failed card handling
    
    The old delay1 behaviour isn't easy to achieve with the queue code, as we only
    refresh the queue when it's emptied, and if the user has delay1 set to say 9
    hours, failed mature cards sitting in the queue could prevent subsequent young
    failures from being displayed. Instead we convert delay1 to a count in days in
    which to offset failed mature cards. 0 means the same time as delay0, 1 means
    show the card a day later, and so on. This means users will lose the ability
    to delay mature cards for x number of minutes more than young cards, but a
    scan of AnkiOnline decks indicates that's not often done.
    
    We also need to use a separate cutoff for failed cards, since we need to be
    able to display them as they expire if the user has disabled per-day
    scheduling.
    
    And instead of marking cards as due in the future, we set their due time to
    the current time, and move the delay0 calculation to getCardId(). This means
    that if the user changes their failed card settings from say 1 hour to 10
    minutes, the changes apply to the currently failed cards and not just cards
    failed in the future.

commit b69fd48768a760fec18305d65a308e93a733db06
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 18:39:24 2010 +0900

    more type handling updates; don't munge counts on sync
    
    In various parts of the code we need to get all cards of a given category
    (new, failed, etc) regardless of whether they're suspended, buried, etc. So we
    store the true type in the obsolete relativeDelay column and add in index for
    it, because it's cheaper than putting indices on reps & successive.

commit 268d2645fd9079996f90bf4c8edf90f640013263
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 16:33:39 2010 +0900

    delete cards that have the wrong card model

commit 274017036afe0ef6e0c1d794dcff1984ef8a6868
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 12:00:01 2010 +0900

    add sanity limits to cutoff calculation

commit 4a35dbe6b20ec9f618c77ebe89e650105fbc1b37
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 12 13:05:43 2010 +0900

    python2.7/win32 fix for latex

commit 919353c57d8903d7ec08c4167119804aa756fd36
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 12 12:51:53 2010 +0900

    only require due to be past cutoff if the card was passed

commit 3a7f3434640914b3b25277fefcfcd917bc042956
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 12 12:50:07 2010 +0900

    fix typo - been writing too much javascript lately!

commit 1b411938bf9dcf136a1ac156edc6493b449fd26c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 12 12:49:30 2010 +0900

    add inactive argument to cramCardTags() so it performs like standard

commit 6ed0bc91bb14975a2d12a5773ebfe4557877f619
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 8 09:22:36 2010 +0900

    update sync url

commit 9d6b0f35f4b1c57801e2b38b27a154cd9c3b68c6
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 7 06:48:35 2010 +0900

    ensure cards are scheduled past cutoff, more
    
    - because the cutoff adds a few hours past midnight, it's possible for a card
      that's scheduled for 1.0 days ahead to fall within the current cutoff, so we
      need to make sure that doesn't happen
    - set spaceUntil=0 when answering card again
    - fix randomizeNewCards() query. the whole codebase needs auditing for type
      references which need updating

commit 61610d83518be46b915201563656272e53b77100
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 6 08:57:47 2010 +0900

    adjust some queries so sqlite uses the correct index

commit e0d46f0f12fb413139ebafaf9c6475dc3c0f9f2b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 6 07:46:49 2010 +0900

    be resilient if spaceUntil sent wrong

commit 328a1a86a4fbc8df73a0e111e43a365b27bd3ed5
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 6 06:03:34 2010 +0900

    make sure we reset rev early cards too on deck load

commit 172505a7075636ab435bb981f8d57431cf846e5b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 5 02:40:30 2010 +0900

    fix broken card type calculation in error msg

commit 4c5072994657b2e2a89d9993e5db58cef86ee306
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 4 02:32:37 2010 +0900

    temp debug info for requeueCard()

commit b766a9164e339692991a30908acc70fb4a2fbad0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 4 02:28:08 2010 +0900

    fix thinko in previous answerCard() update

commit 4524fd84fed0815d7242a9be6877ecf40ca0438c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 4 02:23:01 2010 +0900

    collapse spacing when cramming

commit cc12c8c573c0daab830207f74bc29811fc9824e9
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 4 01:51:16 2010 +0900

    need to rebuild counts when cutoff updated

commit 0535f0561cb96215cc94a959eaf4653354624cd6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 3 23:45:44 2010 +0900

    redundant code in answerCard()

commit 3f3f797348d3b2c28ce1b7768d184ab4bc4dce04
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 3 00:29:27 2010 +0900

    don't space failed cards; make sure card type is calculated after stats update

commit 46790f2e929f391a6a4c9ebccecab7485f09d5bf
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 2 22:34:10 2010 +0900

    remove (incorrect) code in sync, is covered on deck load anyway

commit a68334220a88ef2c74d652338e519f5cbee848ee
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 2 22:30:57 2010 +0900

    fix suspensions

commit 73119c93cf7175f5d8e28e421cf72b36ebd5e155
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 2 02:32:59 2010 +0900

    restore inactive tags with a more efficient query

commit 37c15a320ed8a62794cc0732bb09c5505955ae0b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 2 02:04:54 2010 +0900

    make sure we don't fail if attempting to reset revearly cards before upgrade

commit 2c5ac66083882a7b50df183a323747d333bee409
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 2 01:59:20 2010 +0900

    type/priority changes, cram/rev early refactor, more
    
    * Adjust type to remove cards from the queues, so we don't have to rebuild
      priorities to restore them:
    
    Type -= 3 when suspending
    Type += 3 when burying
    Type += 6 when cramming / reviewing early
    
    We still need to adjust priorities for backwards compatibility, but this can
    be removed in the future.
    
    * Factor out scheduler-specific code in answerCard(), so the different
      schedulers are now fully modular
    
    * Differentiate between a card's current queue and its type
    
    * Make sure dueCutoff cuts off at the chosen offset instead of midnight

commit 785ddc3786bcd0c8c6d354378d5c21761cb0690d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 31 18:57:40 2010 +0900

    make sure to set card limit on scheduler change

commit ce828613578b653a4022f3ec5c0341aab7aec7fc
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 31 18:17:49 2010 +0900

    make sure to update field cache when adding fact

commit c4a1f807ecae3916d2db828e2accfb3118016bf6
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 31 18:12:16 2010 +0900

    update cram for new cardActive() handling

commit cc8f619458a0d64dabda2720525e5c4404ca1a01
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 21:17:33 2010 +0900

    remove support for inactive tags
    
    Unlike active tags, they are not able to be implemented efficiently, and they
    duplicate the functionality of manually suspending cards

commit 2967819882bf2538db70ad02a13889c3a0c14d41
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 19:41:40 2010 +0900

    fix fid queries

commit 621d11a6da7f3405acf28cb04e4873a0f7ce84d3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 01:05:33 2010 +0900

    don't generate cards if the question is blank, again

commit 7e6f4907b08acdd875c4b568e70ab3108e7b79cf
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 28 20:33:19 2010 +0900

    make sure we don't count/grab cards multiple times

commit 46ba2db87a335fbd2f3029519a25c0aaf59782fa
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 21:22:29 2010 +0900

    use new field cache so we can ignore html in std search

commit 731c4100f9883e1081e9e1e357d08b8c4544ee27
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 21:06:45 2010 +0900

    wrap the remaining really long lines

commit 4cce768c702fb02b092f62699a61f3575087871b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 21:03:48 2010 +0900

    update search code for new scheduler

commit 8c7322c9747d16278cd34095b804a70ee4a3f791
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 20:54:42 2010 +0900

    merge marcus' searching code

commit 34d6efe1dfdb28bdfe1b7c14169bb41b0a5c47a6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 20:12:00 2010 +0900

    marcus: handle html entities properly when stripping html

commit 8ce0ff5b8be22286afa8460e447e6afc4e1c0a51
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 19:00:49 2010 +0900

    add a field cache for searching without html

commit 9f9841cb22dda7436cfecb258a23a8f4f1c9e1d7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 26 20:21:59 2010 +0900

    use a join instead of a subquery as sqlite can optimize it better

commit c50b7e61cb3fe8b71b6ac85a98a87d88bf3249e1
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 26 20:10:05 2010 +0900

    new indices, make sure to set type when reviewing early
    
    - new type, combinedDue for failed cards & count checks
    - only reset() on deck load if not already done
    - remove isDue from dynamic indices but leave old ones around for now

commit ea3bf14019f3207d3444187fdfc48fa6a311cd23
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 26 12:54:58 2010 +0900

    if using no points of precision, take the floor

commit 5bc7c390a0d54b4eb5741572c3d133b452265f84
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 26 11:46:35 2010 +0900

    make sure to respect failed card timing, fix default hard times

commit 27b7ccb41f08af6b1d53da1c4df458cf1eb7fb2c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 25 15:46:58 2010 +0900

    set deck vars before updating the cutoff

commit 71de076309db6ee2291c6226e77842d7dfb8649f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 25 15:38:50 2010 +0900

    no need to adjust types when rebuilding priorities

commit c1d79b856fe2ef594d8c8d8f370aa4a64497ed0e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 25 15:36:43 2010 +0900

    superfluous rowcount

commit 33e6a1714135850ec6f45939c2f31dfac9c111b7
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 25 15:28:59 2010 +0900

    make sure to set isDue=0 for spaced cards too, for backwards compat

commit b0e4748a1c4b78fdc3d2ed8f02ea41de6a0bdd51
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 25 14:35:05 2010 +0900

    make sure to update combinedDue with the new value

commit de18f59474772e8264d589e1ddbb359b8e59b0bb
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 14:21:21 2010 +0900

    compat hack for suspended cards on older platforms

commit 1f20442921fdb97bc92dce0283a3b7ca0f5f4cea
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 13:26:51 2010 +0900

    require dingsbums decks to use a different name so we don't conflict

commit ecc99780e47309d46da6ec74add363a101eb3505
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 13:06:16 2010 +0900

    add bury support

commit 1d89be0a1eb5bf4b728f35565a817218b1f36c4c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 13:01:13 2010 +0900

    make sure to set isDue=0 when answering a card for compatibility reasons

commit 4c76d25b05affef054bb43ec0467f2b9066ddacf
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 12:55:33 2010 +0900

    remove obsolete 'inactive' from findCards()

commit a3040d1fb4f28050da896ade50a749b4b9b983dd
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 12:32:40 2010 +0900

    suspend leeches after they've been removed from the queue

commit fbae42d8ef61aa5294fe1c78d0368615301dd666
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 12:26:18 2010 +0900

    tweak deck stats for new scheduling

commit 1e2d88dccf5ebd4253126c89f126d5bbe6752f30
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 11:47:47 2010 +0900

    make sure to consider active tags when calculating next due card

commit 057414f404615e62749584cd93b3785e1d0e2221
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 23 16:15:42 2010 +0900

    use same active/inactive limits for failed queue

commit d1f1f914ada0bb413d63f0a89398ee251528f9b1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 23 13:58:03 2010 +0900

    python2.7 win32 compat fix

commit df2ae3b63bd7fe9dd08efbe3eb2547a970837263
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 20 18:03:10 2010 +0900

    give each scheduler a name

commit 94ad0cb95efcea21e60572da5993a2e1b10fc7a4
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 20 13:12:17 2010 +0900

    new cram code, remove refs to inactive cards
    
    - cramming is now a separate scheduler type
    - correctly answering a card while cramming causes its scheduling to be
      changed in the standard review too
    - options to sort cards by earliest modified, ordered, random
    - render priority 0 obsolete, as it's all done at queue generation time now

commit 30a6f04708ab1a6d4a6cb2f41b283dba61554fee
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 19 19:45:57 2010 +0900

    make queue limit configurable, fix bulk fetching of cards for ankionline

commit b7e3d87e5de78f27df0715099214c7a34e719504
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 19 19:17:52 2010 +0900

    new active/inactive handling, bigger queues
    
    - separate categories for new & review cards
    - 'only these tags' + 'none of these tags'

commit be4dea39b17622d1e5b5ae73d9a2830db5319781
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 18 18:01:19 2010 +0900

    more scheduler updates
    
    - reimplement reviewEarly and newEarly by replacing parts of the scheduler,
      instead of adding special conditions
    - remove references to isDue and priority (1,2,3,4) which is not necessary
      anymore
    - add option to switch between per-day scheduling and due now scheduling
    - newCardsToday() -> newCardsDoneToday()
    - don't decrement counts for suspended cards
    - make sure to update type when suspending/unsuspending
    - fix findCards()
    - set hardInterval = 1-1.1 on upgrade, or the default per day scheduling doesn't
      make sense

commit ad743d850db60f0ccf2362046c661c003a46d2be
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 18 13:26:34 2010 +0900

    start work on scheduling refactor
    
    Previously we used getCard() to fetch a card at the time. This required a
    number of indices to perform efficiently, and the indices were expensive in
    terms of disk space and time required to keep them up to date. Instead we now
    gather a bunch of cards at once.
    
    - Drop checkDue()/isDue so writes are not necessary to the DB when checking
    for due cards
    - Due counts checked on deck load, and only updated once a day or at the end
    of a session. This prevents cards from expiring during reviews, leading to
    confusing undo behaviour and due counts that go up instead of down as you
    review. The default will be to only expire cards once a day, which represents
    a change from the way things were done previously.
    - Set deck var defaults on deck load/create instead of upgrade, which should
    fix upgrade issues
    - The scheduling code can now have bits and pieces switched out, which should
    make review early / cram etc easier to integrate
    - Cards with priority <= 0 now have their type incremented by three, so we can
    get access to schedulable cards with a single column.
    - rebuildQueue() -> reset()
    - refresh() -> refreshSession()
    - Views and many of the indices on the cards table are now obsolete and will
      be removed in the future. I won't remove them straight away, so as to not
      break backward compatibility.
    - Use bigger intervals between successive card templates, as the previous
    intervals were too small to represent in doubles in some circumstances
    
    Still to do:
    
    - review early
    - learn more
    - failing mature cards where delay1 > delay0

commit 747a28556a6056b5ea9adda5fe3bf8f3f6ce3d84
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 18 11:34:02 2010 +0900

    when determining which card templates to use, replace text: too

commit 8df9111b50af890f86aceb4c97be79d02c08d67b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 16 10:29:39 2010 +0900

    only copy used media on import/export

commit e010ef8062b64c3ed34c67c6851b020082d5870f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 2 14:47:33 2010 +0900

    add clock skew compensation again
    
    this has the negative effect of causing multiple full syncs if syncing
    multiple times within a 5 minute period of the previous full sync, but it
    makes it much less likely that people's due counts will fall out of sync

commit 99ba3f09c8ce4477405d88a2c78bc7d31da2a0bf
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 12 12:21:39 2010 +0900

    catch missing facts at end of sync

commit 1f239c1e67c937c34c4a1f2a9da9b12d6edee5b4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Sep 2 11:45:33 2010 +0900

    direct user to help page when file not in utf-8

commit ea32bce31cfb1757e5367330b572a51ef529362f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 30 20:40:28 2010 +0900

    support escaped quotes in csv file, ignore bom marker

commit 4437024eccf613fa127aca3559b8beee63728db0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Aug 26 18:38:08 2010 +0900

    fix a bug caused by sqlite not understanding unicode case

commit c916478868371a8433c4bc047723de5232b89d6e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Aug 19 13:42:19 2010 +0900

    bump version number

commit 593a1e75b0e25ba36b7e4a8499331e84b94b7ef2
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Aug 19 11:32:00 2010 +0900

    update unit test for new sync behaviour

commit cb533d9c02ef41a38751410b5bab0cb95779a668
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 16 19:28:45 2010 +0900

    don't die when filename case is borked in media check

commit 9332444dfdf3b27479822164d21a5eae9c4e52d3
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 16 19:27:00 2010 +0900

    add hook for when undo is finished

commit 84cb81854b89963be43f6d19f7db0dc92b3f9255
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 16 18:52:55 2010 +0900

    faster tag updating for large number of tags

commit 1f90eceaec438e46984c0e3676624cfd88806edf
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Aug 11 14:40:34 2010 +0900

    allow bsd license rather than requiring people to sign over copyright

commit ff60f105d91861d704af78e5807f46a0679b554f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 2 13:26:48 2010 +0900

    add extra minor version number to ensure betas get upgraded

commit 5e7c62bca51795c8cbdae2f438ea5dfe0b8d2528
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 30 18:15:24 2010 +0900

    don't compensate for clock skew

commit e956aa9afb0db63a569c22e6829224e20f07b0fb
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 22:54:51 2010 +0900

    remove obsolete function

commit d3fb189a72f9536c4bfb18ed24bde8ce6cf0b419
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 22:46:04 2010 +0900

    improved lastSync/modified handling
    
    - never bump deck mod while syncing
    - set lastSync to current time, not deck modified time
    - don't update lastSync until the final part of the sync
    - lower clock skew allowance to ~5 minutes
    - bump full sync threshold to 1000 modified items

commit ecb6dbe69a26ea88cb6fac3cb58eb39eb638ce54
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 26 20:59:56 2010 +0900

    unicode in error messages

commit 55194f8aa7361ff37d3e7e7bf5f4c0f49152f95c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 26 17:15:05 2010 +0900

    ensure cardmodel/fieldmodels work when given a string too

commit 5fe42791c3460bc084db14f771a42265a05d3ce6
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 26 17:14:49 2010 +0900

    use relative path in latex generation

commit 61a7d6d79eba6828169c0adf2a40640745b9ccc9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 24 14:28:24 2010 +0900

    make sure we match a given model even when given a string

commit a68366b5c49a3696cffbb9ffeb303c34be3feaa0
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 19:46:27 2010 +0900

    fix card ordering when generating cards by basing card creation off fact

commit f3d2965e125def771d4c3b12fd246664d0a67ea1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 18:37:35 2010 +0900

    Revert "don't delete dangling facts when deleting cards" hack
    
    We don't need this any more as we do conflict handling.
    
    This reverts commit 880219567e72dbdcc5d319746af265e4d1b85277.

commit 6852b0acda7bc98eb4cf59583ceac2bf346f3038
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 18:37:05 2010 +0900

    bump mod time on full sync to server, ensure lastSync matches

commit f58651cf1b6b392b79a5ca0a66b037322106bb60
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 11 17:42:05 2010 +0900

    bump version number

commit b8401eff229ec96f3ec35e2ed99b69f489d9e563
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 28 11:52:25 2010 +0900

    ignore parse errors due to invalid html on export

commit f03000d27b54646f6db7448396b89338d761c876
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 10 13:24:46 2010 +0900

    remove string exceptions for python2.6

commit 880219567e72dbdcc5d319746af265e4d1b85277
Author: Damien Elmes <git@ichi2.net>
Date:   Fri May 21 06:56:38 2010 +0900

    don't delete dangling facts when deleting cards
    
    If the user is not careful to only sync when one side has been modified, they
    can end up with cards on one side and not the other. If they then delete a
    card, deleting the dangling facts also deletes the fact associated with the
    not-yet-synced card. In order to avoid this, we avoid deleting dangling facts
    until a DB check.

commit edf121f8dc272922adfcb8b27120396bc5dc3012
Author: Damien Elmes <git@ichi2.net>
Date:   Sun May 16 01:01:38 2010 +0900

    add hex cache for dumb clients, make sure not to mark deck modified

commit 5616e679f513aaf4dc3f9e5688a23a2c47384d31
Author: Damien Elmes <git@ichi2.net>
Date:   Mon May 10 21:32:36 2010 +0900

    cache the css as a deck var, don't accidentally send it in sync

commit fd1953bfb50a35e8a5eff4c1342bf0d8b87ae89b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri May 7 16:05:35 2010 +0900

    convert to a list, not tuples, so we can modify on the fly

commit f69d946f8355af9ca19c5e90e1056c01a3722bf5
Author: Damien Elmes <git@ichi2.net>
Date:   Sun May 2 16:15:32 2010 +0900

    more sqlalchemy compat

commit 554d7021e0f413186e0124a264fcb3c59ef92bad
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 21 13:31:59 2010 +0900

    don't specify an input index by default

commit a1d3f13f0a694e079be196bb2eb4ee6b67799f45
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 21 13:21:16 2010 +0900

    update for sqlalchemy 0.6

commit 1be5943903274226ce8d9ffa10d3eb2faca48696
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 16 01:25:47 2010 +0900

    remove erroneous comment

commit 21ec54868010438e61be22a1d2bd49fb8fa6675e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 15 23:05:14 2010 +0900

    more explicit setting of creation time, don't fiddle with ordinals for rand

commit 783751d7ea3a8a76a72fdb10a60a9a99e75310cc
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 6 18:47:39 2010 +0900

    support ? for single char search

commit af66630f078a2f197480c27bb5776ce358c2408d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 1 22:57:26 2010 +0900

    delay beautifulsoup import until export

commit 7f75364fbe44b678c50555f9a054259b79b6205c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 28 10:18:13 2010 +0900

    delete mediamissing tags before setting

commit 465a890bcdc514d563ac88aa7818ba5f8e0bbd2b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 16 00:39:41 2010 +0900

    don't add = as a delim

commit ed50fb20d951d568feff5a27d18ac5d13bb50543
Author: Albert Peschar <albert@peschar.net>
Date:   Sun Mar 14 11:40:31 2010 +0100

    auto-detect '=' as import delimiter, strip fields

commit c8d9bac5dfce9d67a1351928a54686f6ed85b51c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 5 09:27:11 2010 +0900

    clarify one way sync error

commit 09f51e5028dddaa7275717ae5adbaba9f58a970a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 3 02:51:05 2010 +0900

    when adding facts, use a small due increment for each card model

commit 80197d9c2fd85900cba6fb34198cac6cc6c5d6af
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 3 02:49:55 2010 +0900

    when generating cards, use a small creation date increment

commit 27694adf1af88aef7d298aef6132923084fc5239
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 23 17:25:12 2010 +0900

    patch from Chris Burel, fix qt html rewriting on 4.6.1+

commit 7111b3b92412f60cb718f792f5fcb5a1f0b6f0f3
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 18:00:23 2010 +0900

    add attr to tell if fact was pulled from db

commit 309789fcbdb5fd66071fdf229a2f606db9cee5a8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 17:20:19 2010 +0900

    mention libanki copyright assignment

commit 8a28df1a80f7828a0a0601b9907aee874655549c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 17:07:46 2010 +0900

    patch from Piotr Kubowicz, fix some translations

commit 220670a04868fc3a492a32f6e8c9143d186d6484
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 16:41:20 2010 +0900

    update combinedDue attr in cardAnswered(), not just on disk

commit 60c76c93ff2ddcc50e7d83500523f8f140936ddf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 20 10:03:47 2010 +0900

    don't backup in unit tests

commit 472b68b8317d75ce530b2850701c1abdb99404ed
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 20 10:03:39 2010 +0900

    don't backup when importing / saving as

commit bc345d371190d0baebc5dfa4ddade3e12f96a234
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 20 09:54:54 2010 +0900

    create backup dir if missing

commit 7c8e612704c30cb7ec9271b1253d1616cd88bf70
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 18 17:36:54 2010 +0900

    use a constant for chunk size

commit 7bc81c81bbb8dbccbef7eb32aafa295ba234d06c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 18 16:53:29 2010 +0900

    truncate supermemo tests to avoid any possible license concerns

commit 4769bfa7a5cc58eb61c4c83ab2078584dcc09a64
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 16:03:48 2010 +0900

    another hack for w32's low timer resolution

commit 6857233eefd926a0a28c62614de434d6b1bfe27f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 14:40:45 2010 +0900

    bump version

commit 4a1dd99cc9198cdd49ab0ba527d6132dc8c914d1
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 01:55:01 2010 +0900

    bump version

commit 6dce4e0602a56a240d4e6520b25114fb984485d1
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 01:52:06 2010 +0900

    add progress dialog to save as

commit ae690ccea3e9704b5db9226ea6e7ccce35727983
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 01:36:39 2010 +0900

    don't bother with an integrity check if the deck is unchanged

commit 715c82aba94482a46035c4be435a4726411a6658
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 01:31:05 2010 +0900

    remove debugging line in exporting

commit 295bacacd8f251c284d3329d9ebae90682da7a86
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 01:30:16 2010 +0900

    forget sync name on saveas

commit 095a7dbb6fadbef3043ce3dd1429038959a21d8b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 01:27:49 2010 +0900

    implement save as without attaching a db
    
    Attaching new to old causes old to be implicitly commited.
    We also can't access old from new if a write lock has been
    taken out, so the only option left is to move all the data
    through Python and take the speed hit.

commit dfd88cc4c1f25ba59f4c187ec09dc7c5cf7c5845
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 6 01:20:50 2010 +0900

    don't set modtime of 0

commit c659660864cecf1ce2146330f1e58b6076cbd0fd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 5 13:07:42 2010 +0900

    don't send acq cards when there are cards to review & new cards shown last

commit 09f51e27f0b70f3ffa98b832ab5f590be2ea0186
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 5 12:59:54 2010 +0900

    return newly created card ids when generating cards

commit 582a9dd2909f31db3015d9470a0795a6d305f606
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 5 12:27:32 2010 +0900

    don't create empty tags on export

commit 187caa874b9c7958558aa08a8732e5b8a51e9caa
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 2 00:28:15 2010 +0900

    make sure to remove deck if exists before exporting into it

commit 04ba9c9a4e13bc3ad06d01f766fe6b72176943bc
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 07:16:40 2010 +0900

    strip elements out of range in review time graph

commit 8378f71c7301c5faa11fad928e017bac190e01f9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 05:11:34 2010 +0900

    since interval is updated first, use lastInterval in cardIsBeingLearnt()

commit 9b61d8609666f25021c48314b2f362d02adc7264
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 05:01:23 2010 +0900

    place a minimum bound on average factor
    
    Since SM2's grading has a bias towards starting high and going down (fail/hard
    decrease the interval more than easy increases it), more conservative users
    find their average interval reaches the minimum allowable interval and the
    times given by hard/good start to converge. In the future, the whole concept
    of using the average interval for new cards should be revisited to see if the
    data supports it

commit 3106ecd80ddb0be71c6cd7c65a1b7232a4c1713f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 04:44:39 2010 +0900

    change location of matplotlibrc file in frozen distrib

commit d8ba9e1987c4ea82ba2fe9fa9536db9f114c907c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 04:44:27 2010 +0900

    revert ease1 change
    
    suspicious of the previous change, I had a look at the example pascal and
    found the EF _was_ actually updated on a failure. The spec is misleading there.

commit 095ac330b54eb9c60e541afb3e31a54147fdebee
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 03:33:13 2010 +0900

    fix first-time latex generation in a deck with no media dir

commit 87a0e087e5617aa04f12a42ed4b1f5772b3e040f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 03:28:46 2010 +0900

    tweak scheduler
    
    - don't touch factor on fail, as per SM2 specs
    - hard code no-punish-on-hard 'learning period' to 7 days so users who tweak
      the initial intervals aren't punished too early

commit 863d3d8319b50fcdc4bfdc780fa249051932bfec
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 20:20:00 2010 +0900

    add stripMedia()

commit ec263d0d63cca957a3b74c816f5f86fc1911d1b8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 20:05:04 2010 +0900

    if there is a period, always use the plural

commit 9172c9b697b2c2e62609b3111ea1fca44b4ec471
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 19:28:38 2010 +0900

    remove obsolete time span pair code

commit c90828349ce27c89cf3e6ce5f4abd64f849cf573
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 10:59:40 2010 +0900

    remove obsolete reference to card tags, don't store card tags on import

commit ea2fa24fed1677893416e231b78815641f61871e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 10:51:02 2010 +0900

    add progress info to card/fact export

commit b4f1d6622aabb1d76236ff511a183f04af418f9a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 08:13:43 2010 +0900

    use html parser on text export instead of fragile regex

commit 28ff71a031f7cfb0a0290a859fd4fb8331b9fdd2
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 06:42:02 2010 +0900

    fix dingsbums tests

commit 1ae05a8bc75cce43512565b300aa380124cd82cb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 06:00:06 2010 +0900

    limit auto-detected delimiter to a known-good set

commit a6a7782030645db90fbf5239c8b8c3e267b39722
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 22 02:16:57 2010 +0900

    fix another windows timer resolution bug

commit 33aede4d566a91ff3c57b9e892ca1a9ce03a9ae5
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 19 01:51:35 2010 +0900

    document 'features' reuse, add tool to get var as string

commit bf35112bd087f8382a325730f687fb0ea1e0e79f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 12 04:38:44 2010 +0900

    improve latex error message

commit c7340edd6f84f1cfb4aca4dea3cb86e6dea3c484
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 8 22:02:16 2010 +0900

    strip html for text: fields

commit 20da165b6ea0b90f1804eb03764dddd2a1ab3867
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 4 22:37:14 2010 +0900

    check backup integrity using existing db connection to avoid locking issues

commit 33ec7ce1334b070a858934ff8d4a0906e58a2ba3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 2 03:38:46 2009 +0900

    clarify comment

commit ec9a7c37551d7ed95d4e3dd4dd9620f309dfeb1c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 30 14:31:30 2009 +0900

    check db integrity on backup

commit 6a8c19a88915110efce16dbaa9e31b558768fa0c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 30 08:34:31 2009 +0900

    use threadlocal for single user access

commit d44cbd5518d0ee811729984cd1a45f985890057c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 30 08:11:34 2009 +0900

    remove logging hack

commit e2f306ae3b044fe6451997829d6395df6061227b
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 29 19:47:53 2009 +0900

    fix cards/day amount

commit 84b88507a27b3ccf3d0433fb6b419165b4579339
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 19:53:24 2009 +0900

    tweak importing message

commit 4bea904dc6f44df61b557112ae0e03f4f555e57e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 15:59:58 2009 +0900

    give the card id on cardAnswered hook, not old card

commit 17630fa339cfe38dd0775b0caefa226d6fbd4b3a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 15:27:01 2009 +0900

    close text file after import

commit a50ec2649a73521b6889c604e803fe20efb414fd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 15:26:03 2009 +0900

    fix undo of deck properties bug

commit 093395b9e000050959e1b0613b37894c667b8503
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 24 23:35:34 2009 +0900

    Revert "add 30 second timeout to all sync ops"
    
    This reverts commit cbc23e523113c19c0648ecd41c8180ccbbe12868.

commit feaedccc9ab8244fea31740c577e7b4a0164717c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 19 13:07:43 2009 +0900

    fix field ordinals on db check

commit c3833a6a10f3b45b779d59d7f3412fab589a3839
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 8 14:47:17 2009 +0900

    quote loadfile cmd

commit 49710698563c72895a7f03a9ebf1d9cb4fa7b669
Author: Rick Gruber-Riemer <rick@vanosten.net>
Date:   Thu Nov 5 21:59:33 2009 +0100

    Added importing for DingsBums?! decks

commit 7e2fd90963458bb791aa84174fbd392600a3bb98
Merge: 9671d15 fe19dd8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 31 15:50:56 2009 +0900

    Merge git://github.com/jmazon/libanki

commit fe19dd806d57f64f4679fb227526e35119054900
Author: Jean-Baptiste Mazon <jmazon@gmail.com>
Date:   Sat Oct 31 00:35:46 2009 +0100

    rewrite field names as tags when importing with tagDuplicates

commit 9671d153711b714d1a7e93c2efd9db9faaf954ea
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 25 19:48:28 2009 +0900

    rewrite expression to be clearer

commit cbc23e523113c19c0648ecd41c8180ccbbe12868
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 4 19:53:12 2009 +0900

    add 30 second timeout to all sync ops

commit 164b0583c3ae0a462d0492a0e8da3b43bf69b1fa
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 4 19:33:18 2009 +0900

    unlink tmp file after full up

commit 4e83a67e00157ff9d27d80cd71c435d7cb48038d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 4 19:30:21 2009 +0900

    lowercase is:foo searches

commit 7d8904a65db442518dbe10883e7021fba2d69bc4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 1 20:17:31 2009 +0900

    factor spacing into due time

commit 9f182b4d61b3aea9ec150cec05adb4c1e660460a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 1 17:43:40 2009 +0900

    new stats

commit c78647926802727f28afd7307fb5d0531b8c234c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Sep 28 08:59:34 2009 +0900

    timeout @ 60

commit 1111cae80a80c8ed63a1b95264eb97a82d345fa7
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 23:13:28 2009 +0900

    mark everything updated on full db check

commit 76376d9040a0aa217077015573a83f4b338e039d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 23:05:30 2009 +0900

    move the simple player code into a plugin

commit ebac830248b4e9b8b1bb3d9b07ca4ab27ed85312
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 20:54:08 2009 +0900

    don't define MATPLOTLIBDATA on osx

commit faea67e14beb063641256b84ef5182c8aacd2b9c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 08:57:36 2009 +0900

    add primitive player back, and fall back to it on osx 10.3

commit 1906741e11cce7d109869d033a67977272e16564
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 06:02:25 2009 +0900

    give a more intuitive error when trying to import utf16

commit 75f56d13e230b0a6664bc776412374393dae1448
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 05:51:22 2009 +0900

    decrease chunk size to 32k due to crappy win32 network cards

commit 11c1e7799ba19e50ea8a2b49a8109d3e8f5e7232
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 05:47:52 2009 +0900

    use relative paths in latex as the path may contain foreign chars

commit e687b1d033c8f76f9e5e40ca98133e530c3baeaf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 05:14:16 2009 +0900

    don't translate graphs, as agg can't cope

commit 029390f73b5c7bb7620e68746ad6307be5e9406a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 04:21:50 2009 +0900

    mark version as snapshot

commit 0863acc1606d547000a53fba59595865fc5ff105
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Sep 25 18:08:42 2009 +0900

    make pool an argument instead of progress handling; timeout=30

commit 1028b04d9c29b0928e6d499a426c5cec5d54b72b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Sep 22 18:35:31 2009 +0900

    default timeout of 90 seconds

commit 2e2444f48844d999df0e22367b79aafc071b5ee4
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Sep 21 20:48:04 2009 +0900

    apsw -> nullpool

commit d02c1fb70a89ad655f472270e57e3914cb895b2b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Sep 21 20:41:58 2009 +0900

    add nullpool to db, crop newlines in logs

commit fa6d1f9528d673708733b225b7e9d06ab963355d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 20 19:55:56 2009 +0900

    set isolation_level=None when using apsw

commit dce35eda06d6e86899aee953ef113c87ff557011
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Sep 17 01:33:29 2009 +0900

    disable progress handler if apsw enabled

commit 2a72a4dc7062d2ce4b3a7f9e7ce95447f55156ed
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Sep 17 01:08:19 2009 +0900

    apsw wants unicode

commit 090529c4d7409faeb7271ff910efcc495d3d1cc4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Sep 17 00:25:53 2009 +0900

    add option to initialize via apsw

commit 1b1b69e9660e569bc3f8ca5e08c12d75889f320e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Sep 14 15:30:20 2009 +0900

    don't die on resetUndo() if undo disabled

commit a9f3e4dca7c3ba8a92e8705351cd3def419cbc89
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 6 17:31:47 2009 +0900

    don't throw a traceback with an invalid fid

commit 03ae1d6ca74df2118c453db60fad88a90e3e8ad1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 6 17:16:02 2009 +0900

    patch from saturnien to make mp3 encoding optional

commit 5fed1f7f353aa40bc87f17306aa05dc8c920ca44
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 07:42:19 2009 +0900

    support rtl in html too

commit fd9ce1a876d6fd98d7decdf7b7048a3b1cb21977
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:52:26 2009 +0900

    random(0, time())

commit 52be4b059dbc0992d6227bde836e29c6a57d4c22
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:52:14 2009 +0900

    make short times i18n

commit 8bc7e0c945765daedebe12aafd645028306e36c3
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 05:05:50 2009 +0900

    enforce ordinal ordering when importing

commit c33c6318b21ab09b673fa576d89263c8a001ef91
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 04:53:29 2009 +0900

    handle text:field in rename & delete

commit 1006943d8eb503a21fb1c9e9d83d5612da91f685
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 26 12:38:36 2009 +0900

    SuperMemo import fix from Petr
    
    Fix supermemo import of Q&A part in escaped html. Supermemo 2004/2006 export
    can contain unescaped chars > or < that confuse beautifulsoap library. Switch
    autocreation of tags from all titles to True.

commit 4be3de322c3f2ffd34313237a445db8982403c4b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 18 18:11:57 2009 +0900

    tweak pyaudio error message

commit d96b46887e495be72c1a9dd22bd2f721fc17d22e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 18 18:09:52 2009 +0900

    make stat formatting consistent

commit b80fc40aee8adb0819bd21ee6683de20731b1a9a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 10 00:37:06 2009 +0900

    lazy-load beautifulsoup

commit 2f2487e5b8625bf69fe87532993d7f001bdbeab8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 9 23:07:38 2009 +0900

    increase 5 year max scheduling time to 100 years

commit fe99ff751882d152a2ecdc03c7a47c39f90d9b13
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 9 23:03:23 2009 +0900

    add supermemo importer from Petr Michalec

commit fdb93278642ece7c340a9ccbbf6e7e434b371dca
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 14:38:40 2009 +0900

    fix locking in ubuntu

commit 13a14e498cb97b0a358f6052c1cc0f87efc8b6e6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:29:09 2009 +0900

    increase mod in delete

commit 50103693d180d4f0687b1c4be0c346cf14b8c5cf
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:28:48 2009 +0900

    add progress to cache/uncache

commit 95d6ba64abf020caccac22dcc4d90af497b0b1b7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:24:25 2009 +0900

    fix uncache latex

commit 6f27ae52cc34f2e1893ee635615b65a133ec5a6e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:20:56 2009 +0900

    revert to old style file-only latex handling

commit 00114892201db70ee776e133bd62a063e3997dcf
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 6 21:26:46 2009 +0900

    improve error message when utf16 file passed in

commit b4a330a946bf72cfc9d141bb0521e0dfc6671d14
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 16:53:12 2009 +0900

    add hook for deck stats

commit 7612259a722007f8942d14d5ee93884b4709650e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 16:41:18 2009 +0900

    add card ease stats

commit 6dfaccaa5ea80517e6566788e16d96bd76e91fad
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 02:19:13 2009 +0900

    reuse features as rtl marker, fix deck version

commit 2579bebbda4d0dccae0b322159dbb76f2bd3c35b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 18:10:52 2009 +0900

    bump version

commit 8f383db5d2ec499cafc6145ebb1f1eb489949166
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 17:10:32 2009 +0900

    don't bump mod time on upgrade

commit 6514c2a2a5913c0b23a438e3f57ed0636c9fd988
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 16:50:25 2009 +0900

    when previewing cards, use all available card models

commit 1d5ee3631462bd93e166bb9aeac326f52be57f19
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 15:40:42 2009 +0900

    add a filter for formatQA()

commit 0d0b9fc81ef069b0c04b25e43d09e9bc6443fdef
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 15:40:36 2009 +0900

    make sure card count is properly updated in importing

commit 932440165a13cc00d921f656a987e697f37156ae
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 15:17:49 2009 +0900

    when files have been modified, make sure to retain originalPath

commit 670439c805fab824bbd211f68b7f30135d02c975
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 14:56:25 2009 +0900

    support for exporting original filenames

commit e2ad8a7ce321fad26f7dd63cee24edcd7be3d523
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 2 23:42:05 2009 +0900

    bump deck mod time on suspend/unsuspend

commit a73e4757adf9181b7789046990837b8e445130a2
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 2 23:23:05 2009 +0900

    universal newlines when importing

commit a9bb1639c0346c13c194ae3cc42e7b3661db7835
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 30 11:32:15 2009 +0900

    remove locales

commit 01cb3a4b7d53854d5f722efb30242e4172d09b53
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 29 23:30:13 2009 +0900

    when regenerating cards, use fact's creation date

commit e1c3cc7b5c0c4246fe686032e87a52105cea0a81
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 29 23:26:35 2009 +0900

    honour card/fact creation order when exporting as text

commit 5e9a68d4c7b5a5606b051a877de38d8487fad30d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 28 22:23:40 2009 +0900

    fix problem upgrading shared decks

commit b1f213644e66c9a626c5e09d388e89193bfa6776
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 28 10:54:05 2009 +0900

    tweak deck stats

commit 1cc077e1e70731f727c220d354c70933c8d3b98c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 27 17:20:49 2009 +0900

    make sure save as copies deck vars

commit f0c5833bf56f4e7ab78468bb99d79b9ec0cfc0fd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 15:47:13 2009 +0900

    bump version number for beta

commit a12878347a237587456ea0ae5862f2c1fc261af9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 10:51:22 2009 +0900

    force always on top for the video window, add a hook to fix an osx issue

commit b23dc8053dac0d0f36968e95569929d379bb9272
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 09:47:34 2009 +0900

    updated translations from jarvik

commit 0d40fb6743cccd620b0baaef4bb985a43f806baf
Merge: 35731d0 f90a15a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 09:43:30 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit 35731d0cb3c16133c1a5e9eb652d61e9a643f5bf
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 08:10:33 2009 +0900

    move leech detection into libanki

commit 2b86cd6b33eb3fd567db265c9d03b62018c197a4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 07:13:14 2009 +0900

    add ability to customize separato in csv import

commit f90a15acb4067d806b73fba906647cf5069aad15
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 25 10:42:42 2009 +0200

    Updated version string to 0.9.9.8.3 for Swedish translation and reran translation.sh

commit 5598bcbce4876feb23d872a5562ef6c3ebc6beca
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 14:57:34 2009 +0900

    make sure to set leech vars on create, fix recently created decks

commit 34879181d215144a1cf7625aaed3c68e76112c21
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 14:57:14 2009 +0900

    use .anki ext in unit tests

commit fd6ea460ae0145824c4603552b58be36d227a8bc
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 06:49:48 2009 +0900

    bump version

commit 27732e355343bb381f46b85a594de19b502ed9e3
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 05:47:14 2009 +0900

    catch large # of reviews in full sync, reduce limit to 500

commit 1e7cae52024d0c4f06d3822f2fb7256f759ed236
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 05:24:02 2009 +0900

    add leech control

commit 1bd5c988b122534f357c79453aeffbb63380cbd1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 04:35:58 2009 +0900

    create mplayer threads lazily on play, make sure not to deadlock

commit b5b3f9fd8cd8ad49407fd9c0e925d5fb79715ba4
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Jun 23 16:49:50 2009 +0200

    Updated version number in Swedish translation and reran translation.sh

commit 1a5d243520792be64ed676dc6a685a5255d77a6c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 23:43:21 2009 +0900

    reenable removal of suspended tag

commit 3270417cfd85cbae488f49d2d0eff81e29c204b8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 23:29:09 2009 +0900

    bump version number

commit 19327c317bf35abd37d9e10de02ae1cb80e18bca
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Jun 23 09:05:32 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 03dff653ab5dd45d9db354707c96bdef611084bd
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 06:41:19 2009 +0900

    handle latex too

commit 28a45a4f4c7de1a49822c8260c2e6d14a88125e8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 06:30:14 2009 +0900

    add support for downloading missing media

commit a4d1c55d4fdfbba797992bf350f4fcb5c0becb1c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 06:29:52 2009 +0900

    if mplayerCond is none, finish thread

commit ea5a867397ab16e95448525a5597c9a272e51135
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun Jun 21 20:07:29 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 2f93ca3d8faa46dbc2efc2cdc853603301271ec8
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 06:51:48 2009 +0900

    reuse features as media url, blank

commit 6b7c0d79971eb6e1448cd73d248eb673466cc777
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 04:36:36 2009 +0900

    fix missing media problem, fix json decode float

commit 31f6b83b88d779f9f7e0b17587c574ddbe96b7bd
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:34:02 2009 +0900

    rebuild translations

commit 88acd6585816140187a1c49c49fcfdfaee3d50ae
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:33:18 2009 +0900

    updated German from Michael Jürges

commit 2b9220e5bd3b32927f28e3c45b19cd61cbce7d8f
Merge: f94104e 98be8e1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:18:43 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit f94104ed9f1adc942b684e5c93210eadfa2f6915
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 20 02:05:11 2009 +0900

    new backup-friendly backup handling

commit 1f0a8edfa49ef1e34e3517d6d9a8eaab50e2cb10
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 20 01:32:20 2009 +0900

    strip out mediaSupported

commit 3d811813231bf7864e9ed0dfc5e2be6ec5a9c64d
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 19 11:50:31 2009 +0900

    bulk media support -> local media copy, always send media table

commit aca3ea2513ca46cddeb1df3a9ab58a12c78593f3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 19 10:26:54 2009 +0900

    upgrade suspended, but don't mark cards dirty and don't delete from suspended

commit f96a7a7c5bd6253905bb44c0e4b9bbea62d9f02c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 19 10:10:37 2009 +0900

    Reverting "suspend/unsuspend noweb on full sync"; obsolete

commit 358b453906ad405085d708f9300b11a7da90e32a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 19 08:02:40 2009 +0900

    always update buried/reviewEarly cards

commit 3e2c150b178265b633023e3bb99c8a3e83dcc0b4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 19 07:46:26 2009 +0900

    only set lastDue if card is not new, hide due for new cards in stats

commit 98be8e1c478ad8d609e10d877ea093f405bd1119
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 18 10:36:39 2009 +0200

    Fixed error in Swedish translation and reran translation.sh

commit 6a8e3effe86d667bfc5eb58749d3c86c9e8191bc
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 18 09:54:08 2009 +0200

    Updated Swedish translation and reran translation.sh

commit a1981cf220c028cb4fce841746db2ad8e42942d1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 07:57:38 2009 +0900

    strip suspended upgrade code, users will have to do it manually

commit b079df2a139e728e684aa59ff5576296b7d727aa
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 07:11:39 2009 +0900

    don't use communicate(), catch win32 error

commit e6b207f7af4ca5a775cf245d6080a05a00981542
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 06:48:41 2009 +0900

    force media sync to go in one direction

commit d0653f2f7aa878d311cb26a80e9ed1b1aba494f9
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 06:43:12 2009 +0900

    make mplayer threads daemons

commit 22efbaaf81e8e7b7b2da380b817cd8a70f7610b0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 06:39:21 2009 +0900

    fix mplayer blocking on debug output

commit 0cd3b517b301d72dc273c8b521bc6b92dc8930f0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 06:11:22 2009 +0900

    make sure to use unicode in suspended

commit 9cab49721771b391b362323a085a566a713ccf6d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 05:52:03 2009 +0900

    remove obsolete methods in csvfile

commit ad5a7c8bf7972176acc850be1eff21f4121363ea
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 05:49:08 2009 +0900

    close mplayer on deck close as media path may change

commit 8c8a76d08d9f4b69ec198fae6aac6b5821b3170d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 05:39:03 2009 +0900

    updated japanese translation from jarvik

commit 5eb1a697350fc4c896219e4c07474f0054f284a4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 05:37:56 2009 +0900

    catch unicode decode errors in csv import

commit e62967ecb1c72b6234e5f9d28d7e4d0065468ebe
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 05:21:47 2009 +0900

    switch to python csv

commit b6a50db1c25984b6255f1a9cf0cda25edce5494d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 04:25:45 2009 +0900

    rebuild queue after upgrade mostly done

commit 093fb4695b8ca7579e42ce2e6973cf87c853262d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 04:04:50 2009 +0900

    suspend/unsuspend noweb on full sync

commit 33c23bc0823ec87ba203c64492b668b5c277b20a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:43:06 2009 +0900

    add leech report to congrats, remove bold from less important items

commit 285bf5a9a09e0386cbd2098450eab1bcb958ec36
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:14:22 2009 +0900

    add search for inactive

commit 5bca5bc0daaa28a2871f8f5afefe768d6d2b3013
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:13:58 2009 +0900

    make distinction between suspended/inactive

commit 58c4e6eb275549dc929c5310582fbbc7a69bbd97
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 02:40:18 2009 +0900

    fix error caused by upgrading deck without queue built

commit 6a286d1ecad8efb09d3e96d2b6510ddaf73fb49a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 02:25:14 2009 +0900

    obsolete suspended tag
    
    - add suspendCards/unsuspendCards()
    - set priority = -3 to manually suspend
    - ignore cards with negative priorities when updating
    - remove suspended from list of initial tags

commit 03369658eeabaa88a6f21701038fbdb8ca981ea8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 04:01:13 2009 +0900

    remove sleep debugging

commit 717044dcad1268a96405a05e8fe0beb0e0a40546
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 03:59:54 2009 +0900

    add progress handler back to full sync upload

commit 88dab64bfc29b86be4d62382db15ea1c37525399
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Jun 15 20:06:48 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 102fc694fd2c1315d3440b41c871c9be2a2c18ff
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Jun 15 20:02:38 2009 +0200

    Remove call to iterate over removed dir (features)

commit aca7962fe3b80b6bbdd75177c9a6e56ac18f1f2c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:25:11 2009 +0900

    updated polish translation from piotr

commit cffa1e50c374bcac613df58fe71ae2c38cb61750
Merge: a478e9a 0402c2b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:24:49 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit a478e9af6bfb0e621c779b408c60baddff17cfdb
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:23:56 2009 +0900

    apply translation patch from piotr

commit 0402c2b8e276008e9788dfab83c2db6088fd0a38
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Jun 15 17:46:56 2009 +0200

    Updated Swedish translation

commit 7d34b35b756c0c708d65e9faf9b873e9d6af6a51
Merge: 79aada5 09e002c
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Jun 15 17:37:03 2009 +0200

    Merge branch 'master' of git://ichi2.net/libanki

commit 5b8832402a23e386e07dd2c1c551b5a23aa80d47
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 00:02:26 2009 +0900

    fix close post sync

commit 3b99232f7a34260594532392d2afec4282a545da
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 23:01:43 2009 +0900

    switch to urllib2 to pick up proxy, monkey-patch httplib to incrementally send

commit 09e002c8d619aef305b65fa181e0b963c6a86c9d
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 11:57:25 2009 +0900

    when generating cards in ordered mode, set due = fact creation + ordinal

commit 8e92a4dfc82c6b04289b08a79bf12aaee430663b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 11:45:11 2009 +0900

    don't poll empty mplayer

commit e66e66c614c82658c461a3975b647bd238ca11c3
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 11:37:02 2009 +0900

    don't catch all osx errors

commit 7cac17a543d4576c6019e4d331bc4afb148ceec9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 11:26:42 2009 +0900

    restart mplayer if it has stopped

commit 8d3678b9fbc870533d10ba909cda3efe298ef42d
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 06:57:50 2009 +0900

    mark deck dirty on reset cards

commit fb8f2bd09f474f396553a5eed4092b5c8ef6423c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 06:57:36 2009 +0900

    handle interrupted system call errors on mplayer shutdown

commit e578ffc721c1abcb7f1659bfdd2d26b7bb64df42
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 16:01:58 2009 +0900

    map all file descriptors to work with py2exe

commit efb71c754caff441076b2e1952bf941dadb66b2d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 01:14:54 2009 +0900

    bump protocol version

commit 2db2b65df09028b540322869f7ce5a9652d38fde
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 22:41:21 2009 +0900

    set deck created time on download

commit e08a86c28dfe6a0b8f846f98f1f8b1365c8f9fba
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 22:22:10 2009 +0900

    strip samples & unihan from dist

commit b5da38474f94b9be70cfdb3d8bda7f9ec879550f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 22:21:57 2009 +0900

    allow arbitrary number of args in filters

commit 9d8df81e117fb879cecb4bcfdcfb7b1d5a48fa98
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 20:26:00 2009 +0900

    cleanup mplayer slave on exit

commit 79aada52886d1d32f0f3904700cc2669f6cdaeba
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Jun 12 08:42:30 2009 +0200

    Bump version number, no string changes, for Swedish translation

commit d67b4b2ed99b8c9213213329cfbfa0e1a5ef75c6
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 11 22:49:15 2009 +0900

    remove obsolote newSpacedCount()

commit d2ac7fc13e5acbb89470ce8fb26f09494a02be67
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 11 03:49:16 2009 +0900

    don't dirty cards/fact on full check, rely on lastSync = 0

commit 3085ce7328bda26e63c09d9f5ea23beb756f6c7b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 11 03:29:07 2009 +0900

    use mplayer slave mode

commit 2d32e1aaa1bb018b85b6cc0735a39e5fe5c2d18e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 22:58:28 2009 +0900

    strip all chinese/japanese support out in favour of plugins

commit 28f6df93cb825f0ceeb931999f7a13724e8eed6d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 22:33:20 2009 +0900

    assert response ok

commit 261c70b8c2a446e72a21a43d426c05e81e8749af
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 21:23:30 2009 +0900

    set first answered on reset

commit 0dc07bcfd1a6060c4010e6dc405034e2c902ef64
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 21:22:29 2009 +0900

    support get(x, default) in facts

commit fe6fb005b628907eb2ce6a044f2ccebd146ae4e1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 20:58:54 2009 +0900

    do partial tag update on sync

commit cc50a5fdae78580841677a7b3eefe49bb37564ee
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 04:09:55 2009 +0900

    updated spanish translations

commit abbd7f1d3c3a766b9400b3804ecda31e5cd2c913
Merge: 8a40dbc 4e02379
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 01:40:43 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit 8a40dbc35c6d37afd6c31d7f14dfb3dfaf8b04c0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 01:31:38 2009 +0900

    bump version number

commit 5cb85176e6873def944e0307fc9138ce3a00686e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 21:44:21 2009 +0900

    include all jinmei in missing/seen

commit c9f78cb7b67efcc1a31fa1bdbb707b355383bd4c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 13:39:17 2009 +0900

    add class to question/answer

commit 845aede221816e8f8c789fc9b38f4749a0e3ec8e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 12:36:23 2009 +0900

    if show failed cards at end, use maxFailed = 0

commit 4e023797d7473dfb39a1592ccea2447af404d669
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun Jun 7 18:59:05 2009 +0200

    Updated Swedish translation and reran translation.sh

commit bf59bcd1d7fb608b8b0ce9098f27f1af4f8f7a8a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 7 02:50:09 2009 +0900

    remap mnemosyne latex tags

commit 6ffa8cd191aca05d750532c87ca16efb68f8b905
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 23:51:58 2009 +0900

    make kakasi cmd more easily customizable

commit f47afc3ebf64bcc43e38262dac8e21862f5999b0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 22:36:34 2009 +0900

    bump version

commit 1ec8baa45961bed309f78a33ef7f45a2a8ba27ec
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 21:56:44 2009 +0900

    add filter support

commit 40a7278aa5f120c7308c8a47064d2987a8b4ba19
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 21:24:20 2009 +0900

    include kanji in reading generation

commit bd31fb4e6987ea869a97786c071182446a8f1fc9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 18:49:30 2009 +0900

    numerous optimizations - cold cache start is much faster now
    
    - fix priorityDue index order
    - force correct index on checkDue() and spacedCardCount()
    - don't check due again if reviewEarly & newEarly false
    - optimize reviewEarly/buried unsuspend

commit 06780e56fdf9682c5eddcac7cf537e1ca52cc59a
Merge: c5cabb7 eaf6361
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 17:37:56 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit c5cabb7e8428783938aa0d9c31c6a567b3e6240c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 17:37:48 2009 +0900

    analyze after adding index

commit 598b2e79e9e33aaa5074bbb12b8011572d4278c1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 17:32:51 2009 +0900

    add index for average factor calculation

commit 82e8555793532d8b9dc62b7dc7c121320aac9e52
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 03:42:01 2009 +0900

    remove debugging from fixIntegrity

commit eaf63612a8aa82dd56319ca5014bd3c34c4c6410
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Jun 5 20:37:12 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 05ad863e18f0a831bce856893011d6e1b78e9936
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 01:12:26 2009 +0900

    remove print statement from tests

commit d1c73cb0022a3c070975a6f12387d45571dc3959
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 01:11:14 2009 +0900

    don't use full sync in local sync

commit d7961413b465fd8113ae2c6162edbe8e1b81f760
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 01:09:08 2009 +0900

    make sure to set card model id when creating cards, tweak code formatting

commit f5facee398a801b51a0192d6744da1adb737fc03
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 15:16:11 2009 +0900

    make sure to close temp file fds, add full sync to sync()

commit dd9ba0e833cfe293499fa8d7e9e1c079aa66ecb8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 17:17:09 2009 +0900

    support htmlquestion/answer without orm

commit 15b5e3b6c02d27e934496c58688b65e5813192d8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 09:37:59 2009 +0900

    hack for race condition with queue clearing

commit c6cddeb163a34316aa3176eea5bc58c976f4ae14
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 07:22:03 2009 +0900

    respect max failed cards with 'show failed cards at end', set to default 1000

commit b136e505b0c372547c6a5ac6ef3b06c6818a37e7
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 07:07:49 2009 +0900

    strip <style> tags as well

commit 91afe651b3170e1574b1d730173932a346863b45
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 06:59:07 2009 +0900

    randomize after .anki import

commit 4effec1c5991f70048b9e43924f926702a5e39d2
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 05:28:32 2009 +0900

    remove extra newline

commit 3e40dc1557cf9d7d852d54a167e9411b4c0232b3
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 05:17:36 2009 +0900

    return if numBackups = 0

commit 4d1ea887ddf79da12ad658e82c82877c642465a3
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 04:20:19 2009 +0900

    rename rather than copy file if same name but different case in media check

commit 5692c91855c6f07c806c4f4b1c1f821eb1fcc2c0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 04:19:53 2009 +0900

    add check for fields without field model

commit feac19941d79997dc9f22b9e0939177929c62178
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 15:59:16 2009 +0900

    updated polish translations

commit 4b883e2c163cf7fdc574da1a12c23580c8130279
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 15:41:30 2009 +0900

    don't clobber original deck if failure in sync

commit d35ef18889777ec41f3cededf2eccf67e8009007
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 04:16:49 2009 +0900

    make sure to set host header

commit 76b114f584a5715835df3d96f4e442f132720db0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 03:21:40 2009 +0900

    make sure to include type= when raising deck access error

commit a1166215fd98c64ef472897e06b5dd3174b95b37
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 03:19:16 2009 +0900

    implement full sync downloading

commit 8a19bd4c57774395fa3bad13a3c7346d0c3084a9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun May 31 01:23:31 2009 +0900

    implement full sync uploading

commit 22b086fbad8a61203126671cb3d81c1f8b5bb572
Author: Damien Elmes <git@ichi2.net>
Date:   Sun May 31 01:22:06 2009 +0900

    better error report if deck is missing decks table

commit b237bcbdf0bb55b5a6077432a6be684cb2940025
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 30 18:22:55 2009 +0900

    support searching for fact ids

commit d9d7fff8205a608c85e8e1e51a1904415cfd9d93
Author: Emilio Wuerges <emilio@nime>
Date:   Thu May 28 14:14:07 2009 -0300

    fixed jinmei (reg) and jinmei (var) lists

commit bb21a0a517e9d45e2bdf71294e35b52ab51778de
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 28 00:54:45 2009 +0900

    update jinmeiyou and tweak formatting

commit c6811599517c41250f520c82af2023ad6c694d5b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 28 00:39:26 2009 +0900

    strip trailing whitespace, joyo->jouyou

commit 1add5e4ca8cb565c15764fe5de5d1541adaa455a
Author: Emilio Wuerges <emilio@nime>
Date:   Wed May 27 09:31:52 2009 -0300

    Added New Joyo Kanji list to kanji statistics

commit ddbe0b86571dbcd1410eda0653a0303b034008b1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 00:30:29 2009 +0900

    make sure utcoffset defaults to -1 so initialized on first load

commit df0e4d2446e1b7ac3958251af2101cce0c28ba30
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 02:11:33 2009 +0900

    ensure tags are synced properly in one way sync

commit 423974934c536af33ac0148ffbe43eb9c8f39229
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 01:04:15 2009 +0900

    unify decks/deck -> Deck, fix & build translatations

commit a9044a4d8cd446d68d4470ac74a5d447d3f511b1
Merge: b8e4358 b9e30cb
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 01:00:10 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit b8e4358b7b821f1007f861d5f164734af196f639
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 00:59:54 2009 +0900

    Norwegian translations from Lars Lem

commit b9e30cb9baa1d72b8ed91b7fa11a1210c50f77d6
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun May 17 19:06:42 2009 +0200

    Updated version string in Swedish translation and reran translation.sh

commit 7588eb96500a821a4e1103d7e5eacdb5246eea06
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 05:12:44 2009 +0900

    don't need to mention views/indices

commit 936106e4c973d16b4497362b045016c5b4b6535f
Merge: ea9ad13 dd8f7c4
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 05:12:13 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit ea9ad139329738d8e6cceefdcb344d5211143a7a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 04:07:54 2009 +0900

    add support for alternative media dir and disabling media copy on export

commit dd8f7c4c43302102079b88dc90ac496b548c0937
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri May 15 20:17:12 2009 +0200

    Updated Swedish translation

commit 6ccafcb996351d78a1508c4f9c60c98fab2d4480
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 03:14:23 2009 +0900

    optimize change model - much faster for large decks

commit 2a9e88cb5d71796475a76f791cbe7d6dafca699f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 02:47:51 2009 +0900

    support quick db check, don't forget deletions, report deleted cards

commit d091166fe51072c474226469f56264975b0df5eb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 00:50:30 2009 +0900

    bump version

commit 876fac87b30f9698b5639833bc803b483803a4df
Merge: ebf83d8 1c6cc5d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 00:49:51 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit ebf83d898e90f9d30388dfd3b082cd4d687aad2f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 00:49:33 2009 +0900

    don't clobber deck modified when expired cards on open

commit 1c6cc5dbf256f4b3bdcd079c4562756a9268e273
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu May 14 14:45:34 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 1e275db81d7c5d885ecd50aa603e7b67965c8534
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 13 15:41:04 2009 +0900

    add stats sync direction to make it clearer

commit 2b5f2fa896b53b63eeecbe265751509633b47916
Author: Damien Elmes <git@ichi2.net>
Date:   Mon May 11 18:57:35 2009 +0900

    if the time is over a minute, cap to a minute instead of assuming avg

commit 6e58308370a47a7f1853fa4bac7092ab887acf3c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:53:28 2009 +0900

    bump version again

commit 57b659ca3658e1222cded52e6d7d387ef4a53ee7
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 05:58:42 2009 +0900

    optimize updatePriorities(), get a 2-3x speedup

commit 6893d01458c34b6e9838e646d27b007eaa7564cb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 04:17:53 2009 +0900

    add back priorityDue index

commit b653d4dba9cdefff236f2c4d2cc1ed3a639a3e88
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 04:13:45 2009 +0900

    bump version

commit 2f4b853140132f20f323bf7e6d5b94d20302c077
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 03:27:15 2009 +0900

    improve speed of unused tag deletion in updateCardTags()

commit 19bc9768f109a7110c94d7ff8c928b1a22e4f51c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 03:26:34 2009 +0900

    delete unused tags on card delete, do it efficiently

commit d15dd71b684b059b09aa5d6a8d7a8512541de6eb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 03:25:46 2009 +0900

    speed up deleteDanglingFacts()

commit bc7bdc24c418e44bb0a64777757a657b4a72975b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 03:25:24 2009 +0900

    update all card priorities at once on add

commit 9df4b3278f8733b6132d40b24af239ab62751c17
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 7 17:26:29 2009 +0900

    don't flushMod() unless modified

commit 3de46f701b4b365fe156efa21e434b672743bbeb
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 16:40:03 2009 +0900

    type->is

commit 29cd8aefc9e977c5bee3f1492496d74ef2db5b70
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 16:07:24 2009 +0900

    bump version

commit 2550d3ec084c4c9fb35e382e78a0fc31a2cab0e9
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 15:45:15 2009 +0900

    new 'learn more' handling

commit f8b6d18dfff0380ab339f69c4abb2d7a0024cb16
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 13:47:57 2009 +0900

    add search for delayed

commit eac428f6b3ef2a420db6e25a39e63242f1bee675
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 13:40:49 2009 +0900

    fail>failed

commit 0b9df424001eca3b5bf597f7b873354d6ed70e42
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 13:32:00 2009 +0900

    support searching for card type

commit 91f06b31d67adaf158466d9166ee6ccbe980c66e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 12:45:55 2009 +0900

    updated Polish and German from Piotr Kubowicz

commit 992f7af50ebf38a248687f46d8967b926e0bc32b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 12:44:43 2009 +0900

    make priorities sort better

commit 3b7bf1f573b83af82e03d6fa7a0c92e9bc20fcbe
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 12:34:13 2009 +0900

    updated mongolian translations from Charlene Barina

commit ac5a92214e1a9b234cc1c167c06019c8beb5c8b9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon May 4 01:50:09 2009 +0900

    don't include new cards in workload calculation

commit f32f96fb539262ce870f664ed0bc8d817aed0e51
Author: Damien Elmes <git@ichi2.net>
Date:   Fri May 1 04:36:26 2009 +0900

    if updating priorities results in a suspend, update due counts

commit 961db76e638b05a4e4d91e2482e8115e7a8cac97
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 30 10:36:10 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 4a59e9d5ae0b56be97d765e663f8014c93a0dc4a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:21:52 2009 +0900

    patch to fix sync translation from piotr

commit 2424151c9f7a9820da03729885ca2e0f03c9f1cc
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:21:43 2009 +0900

    update polish translations from piotr

commit 9692041087cd06d0dbae7f30ee87c8234a9c55ae
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:14:05 2009 +0900

    bump version

commit 796ad5962b3132b2c10052a0489e5a7d040a3ba8
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 15:28:13 2009 +0900

    rename instance var to avoid deprecation warning

commit 1d24158f9078a428072292682378effef0859c59
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:44:28 2009 +0900

    bump version

commit 143a78dd2a5f6a5c1b00e326b9b0cf3c2d47967d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:12:07 2009 +0900

    handle buried cards in deck load

commit 32d5dccbc97edc987f51128ab9efeb2b7374059f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 11:51:33 2009 +0900

    randomize after reset; refresh deck

commit 54252afaf10c8643f481c0e03f1a40bbc00d3031
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 17:59:59 2009 +0900

    more chinese translations from GUO Siliang

commit de693dbc9100311aef22044e1770f7d3fb7a73b3
Merge: 33c59a3 5d0fb55
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 17:59:27 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit 33c59a3006294308f11a63c035f3105eea40921a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 17:12:50 2009 +0900

    new review early handling so that we can recover on load

commit 5d0fb5579f27ece1c5cc2cb6b88b88489c0432da
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Apr 27 20:11:16 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 19c05259b45d629f9b7511d84963bfef42b518cd
Merge: 3cf975e c89d75b
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Apr 27 20:09:33 2009 +0200

    Merge branch 'master' of git://ichi2.net/libanki

commit c89d75b01cba859317aa6da18273f13ead515908
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 21:41:13 2009 +0900

    bump version

commit 90f726e63453c6a721010f7024b1e5c696bd3e72
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:57:56 2009 +0900

    remove version numbers from import, as osx gets confused

commit e51fec907be13d66f60cf927e2ab31eece08895b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:28:21 2009 +0900

    bump version

commit 169dc16ced8c834fb77074654fde8986d20b7fdb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:27:46 2009 +0900

    remove deprecated popen call

commit 61fc7b4430a5d0ecfd9a6ca82b13291206d76d98
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:04:52 2009 +0900

    lower tags in python, as sqlite doesn't have full unicode tables

commit 2944b8194bb5344b2efb47059ec2c71670f16ed4
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 02:38:48 2009 +0900

    if audio player fails to start, give better error

commit c0c969d686eecf3a59e7ee93a53de0ffa0d18068
Merge: 2c60151 87d8656
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 01:10:37 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit 2c60151a45e452964f55a3940f3cff9f8b5b6bd1
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 24 02:16:54 2009 +0900

    ignore console input in mplayer

commit 3cf975e32d779f955b0a3216a0082ca0822096a6
Merge: 87d8656 bc2e9d9
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 23 18:41:52 2009 +0200

    Merge branch 'master' of git://ichi2.net/libanki

commit 87d8656f4910e47397ecac69eb5e4a25bfab5314
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 23 18:13:32 2009 +0200

    Updated Swedish translation and reran translation.sh

commit bc2e9d9593f0c7b90985e29a50d29adb281c1164
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 16:49:55 2009 +0900

    fix adding cards while in random mode

commit 2393775f80f4b6d05910cc51acdbc9bedebf66b6
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 04:05:37 2009 +0900

    add type to factid index

commit 94df742a590fa15c6ed99af2aafbc800fd082fe3
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 02:00:52 2009 +0900

    fix bug with zero imports, improve speed with zero imports

commit 155de151015f9e6aaa913eadb97c53484bfc7aef
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:58:40 2009 +0900

    greatly improve import speed on large decks, randomize too

commit d1a44e308efb8effa0d96452de60ae71407216ed
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:57:54 2009 +0900

    handle randomize progress in ankiqt, add helper for updating facts

commit f4997f328cc5b664538464af401e0461e92c762d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:36:25 2009 +0900

    don't randomize on upgrade, will cause sync problems

commit 35837ef2139dd5d454b2514b2967dec13177d84c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:35:41 2009 +0900

    mark cards modified when randomizing/ordering

commit ae7047f5af31f9cbaabe116774925eb69f6bbe94
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:33:59 2009 +0900

    add progress dialogs

commit fbf31d60da53b3f2dffe90c3e432a17f22a0ebb8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:25:42 2009 +0900

    new random handling

commit a6827b8dd799ca18ce9b5b9bae012cece94e0409
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 00:32:40 2009 +0900

    check if modified in setvar()

commit 19584bd642823e32122573aade285144fcd22fa4
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 21:57:25 2009 +0900

    don't dirty cards on sync

commit cd87adbe718bec1907783f51d6114e307dce9839
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 21:37:42 2009 +0900

    fix new count where cards are suspended, highlight type in blue too

commit bc8b7f45dac30df0dc24de1a5ffd24019440e95c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 21:34:38 2009 +0900

    fix plural of suspended cards

commit 09e158ac74acc28f5e315b9b22df7631b24bc7b2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 21:34:17 2009 +0900

    update card priorities after fact tags updated

commit 3c9ad98a44f1faf5410e300363018cb8fa3fd9bd
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 18:10:54 2009 +0900

    remove comma from delete tags

commit c8731bc49ce93de2e99eb3b4597511f99a5c80ec
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 20 23:46:43 2009 +0900

    add mongolian translation from Charlene Barina

commit 013f3d00a8d1500dcbb683cd68e1c9de3be63102
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 20 21:50:29 2009 +0900

    support * wildcard in normal text search too

commit 5be89d13d7a8440bbe49bd4aa86711ebe3251e33
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 23:44:55 2009 +0900

    bump version

commit c0b46ff994e17fd6dcdf6efcc90b90effaf66c70
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 22:41:03 2009 +0900

    mark cards modified when priority changed

commit e1f505b853cc8efaac87f773dd5eaae21ba35acc
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 22:00:49 2009 +0900

    don't randomize field ids anymore

commit 451c26659175405ab85aa2ad719688ea072a50ee
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 04:45:41 2009 +0900

    make sure tag index is unique

commit 541dd3e38e8bcd08b5d76ffb8411f7627aa80b6e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 02:39:18 2009 +0900

    improve speed of tagIds()

commit 19e597cbc924fe322291b689f3a3922f0f90ad9e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 02:32:03 2009 +0900

    don't update tag for each card, we do it for the fact

commit 1d4710b6d62b23fa8fa64759ac15e7d1fe02489f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 17 23:18:05 2009 +0900

    flush after startProgress() in case a lost focus has been triggered

commit 099202c28f8393d99e89eb3a0858a5f7354e911f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 14 02:01:07 2009 +0900

    trailing whitespace

commit 06b1ee47f90d08cfbc44e2487fb9f5a8d339fee7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 14 00:08:56 2009 +0900

    add support for turning off backups

commit 5a912faeabec2b9cd0c9e68789bcd91684a10ff8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 13 12:40:51 2009 +0900

    escape tags on mnemosyne import

commit b9789cbd50ebfdd06b89470483b417da7a7bff58
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 23:17:50 2009 +0900

    Chinese translation from Siliang GUO

commit 3cb299a1d54dae78ef75032cfd58b953079b338f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 02:35:55 2009 +0900

    bump version, remove debugging code

commit b7a81f952ce3cf4b0a1aa2916b67a462ecbec525
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 02:15:52 2009 +0900

    don't mark deck modified on upgrade, just commit

commit 6a836e5680568eb08535cbf8fba06799bbfc55ee
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 01:08:04 2009 +0900

    fix attachOld test

commit 49089732c41835500e0897bcd52a8b7129cc1fff
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 01:05:51 2009 +0900

    make sure to set progress handler envs before setting handler

commit d4235aaa344a6840c23480db62cb661d7d7e6556
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 01:05:35 2009 +0900

    parse lastSync as a float to fix problem with latest simplejson

commit 51213784a821205124651330fc12e00eb25f8b29
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 00:17:39 2009 +0900

    init progress handle at start, tweaks for faster deck startup

commit 09596894630959719e00d4feba6ac5fbdd93edf7
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 22:23:41 2009 +0900

    use external player on mac too

commit 56098f18a8fdc831ff60253a18e71cead38ca5be
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Apr 10 14:46:29 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 356d9365bbfb4b82e5d9e1293273ee1331082b57
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Apr 10 14:45:27 2009 +0200

    Clean up, removing commented out no longer needed lines

commit f2db5c27d654f15f68ecbb23d23c1e17ec9c3337
Merge: c3d67c9 87b4e72
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Apr 10 14:43:21 2009 +0200

    Merge branch 'newSpaced'

commit 87b4e72f47aebe86c839267c3dae3b14398edd0e
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Apr 10 10:57:49 2009 +0200

    Experimenting with selecting cards that are both new and spaced

commit c3d67c981800fcadc9a895a4e71009413aa79d04
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 16:00:22 2009 +0900

    add mark's latest taiwanese translations, run translate.sh

commit 426eb204a4d6a7caa5506327df6e6a51f0b9913f
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 9 15:22:27 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 2738ee9100370addecc14fb963ba38a47cfb705e
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 9 15:21:11 2009 +0200

    Changed 'At the same time...' to 'At this time...'

commit 6715f32237f73e7dd4d042ecd7bddd8cce93dde7
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 11:14:41 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 8d9c1cf191eb4d7b871ff31373bd48bdce2f6abb
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 11:14:10 2009 +0200

    Adding html comments to strings to allow them to be translated differently

commit ac2213b89ba0eca77f694d3c3307c5eadfee3cf2
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 08:57:00 2009 +0200

    Updated Swedish translation and reran translation.sh

commit c4304fa1958c0a012bc3e342bc25074cf3d5cf16
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 08:56:35 2009 +0200

    Plural support for some strings

commit ba716e2066e890fa02637af3be438a7e6282c8ae
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 12:22:35 2009 +0900

    conditionally apply meta

commit d9aa62d37020651d1ddc2161f3df47c48ca7b438
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 11:57:49 2009 +0900

    bump version number

commit c7f9cec6579a5c4b91431ed0de3b0a770c6819c0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 11:55:08 2009 +0900

    add deck vars

commit aed9fb1c618d5adc0715002a065e0e217fbb102f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 23:53:04 2009 +0900

    update tag priorities when deck is bundled

commit 1d6e3f0b97b3f861b750fc9c3ed17afb0e279e07
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 13:49:00 2009 +0900

    bump version number

commit 4e3e6d314811c60dd9a6c2c841b1c392719816a9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 13:30:28 2009 +0900

    update translations

commit d09709fb50f3795f136fa42251fdc63c95a13b7c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 12:16:09 2009 +0900

    use tag cache for great speed increase in cram, allow card id limit

commit 085fbf3bcc6c451bfcc821c18033cd9a7a4c35f4
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 11:47:14 2009 +0900

    add hack to prevent qt movie for now

commit 10816ee5d7a5b79ad58f3530e40444a9dd22cedc
Merge: 7e9453a 78265fd
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 11:43:32 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit 7e9453a43aa8edc0e899c03bd6a148c449b9d29f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 11:42:48 2009 +0900

    new german translation

commit 36825006d00aedc2bf25038a74af4d5c73c7bab9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 11:41:50 2009 +0900

    new search interface, support negating tags, use tag: not t:

commit 62375e37a322951fcfb4bdf74ff6e9e07f9cd19e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 2 04:29:11 2009 +0900

    need to force a write lock even in explicit locking mode

commit 78265fdc24ee758147ceefcd8a4b0b24e4fea44a
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Mar 30 10:43:44 2009 +0200

    Added back lost space in string

commit 78ee6884f554bcf28f6e5660ae74939f0a614a18
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 30 08:23:21 2009 +0900

    make sure to account for failed cards not due yet

commit e25e8ff0edf89eac93993d73901fdc1bc2380bb5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 30 07:45:13 2009 +0900

    fix rebuildCounts()

commit 5ca9afa0dae91d5fc6a2cf042f6b93ae5accede9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 11:53:44 2009 +0900

    update priorities on export

commit 58044f858653240adedd531f9773ecdafb9a8841
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 11:33:40 2009 +0900

    bump version number

commit 4b3532f3eb4bbcef0703c7a70f3d66f2a6bbedc1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 03:52:49 2009 +0900

    on python2.4, fall back to non-localized strings

commit a958734f8b16abea944882772da5d8bd6a2897c4
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 03:51:06 2009 +0900

    strip trailing whitespace and wrap lines in stats

commit 08eb6ac063b6281c204f456b9bb4d9e5786d9a46
Merge: e9e5994 4e81717
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 03:45:39 2009 +0900

    Merge branch 'master' of git://github.com/sanna/libanki

commit 4e81717326651ce544237b417f83f32612f51d1c
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sat Mar 28 09:08:02 2009 +0100

    Reverting messed up german po-file

commit ba42e3d3c11cd6449b262d0dc2b7753cdce77ff2
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sat Mar 28 08:45:46 2009 +0100

    Updated Swedish translation and ran translation.sh

commit f156a9a436350213f92738486c5c5daaa54a23b1
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sat Mar 28 08:40:25 2009 +0100

    Remove extra <br> in next-day msg

commit e9e5994248068e88ffc2d47a78152de5c0dfb8a8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 28 14:32:38 2009 +0900

    make sure cards are tagged correctly when importing tags

commit 19698d62566e9f95ffda212ff9fde334d101b910
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 28 10:14:43 2009 +0900

    only warn on a mac, include \n

commit 7886d498bd0b3e2b65bc61745b41475307a0e54c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 28 08:33:16 2009 +0900

    warn about audio fallback

commit 9fe5d88c0c14752e15a396d6f1f53a883be73248
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 17:34:06 2009 +0100

    Minor tweaks to Swedish translation and ran translation.sh

commit c442e1f460a9681df27961821a6d3bf5f42c242b
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 11:21:09 2009 +0100

    Updated Swedish translation

commit f4adc657bd13f0b59d0ae3b4a838eba25b09a64a
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 11:20:42 2009 +0100

    Added fmtFloat def

commit 57ca74ce34d711795a1dd19613253e5732ff6c24
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 11:15:04 2009 +0100

    Use locale decimal point

commit 7bbbc3bd65000e48ddbc47bd82f0d6c1fa422520
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 10:32:26 2009 +0100

    Revert "taiwanese from mark"
    
    reverting binary update
    This reverts commit 4370606fc18b7b6c2e431692e51294a21c6559af.

commit e1379eba5d9916d16cca2d585c4c64484aef2150
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Tue Mar 24 13:37:28 2009 +0100

    Updated Swedish libanki translation

commit dfb477ec4b7e83e8a4511ca7a08786a5cc3ac121
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Tue Mar 24 13:31:19 2009 +0100

    new def to format percentages with current locale decimal point

commit 4370606fc18b7b6c2e431692e51294a21c6559af
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 25 10:38:13 2009 +0900

    taiwanese from mark

commit c2fb704c526941162f7be540d5e566c97a3a544b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 25 09:42:44 2009 +0900

    assert undoLog primary key not null

commit eed5df1038f2aab57cf7badfeb3dc533961e84cd
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 24 09:05:35 2009 +0900

    use format_string()

commit 9fba248489aaf4dbed106e807a22d9e0f7951efe
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 24 08:52:53 2009 +0900

    fix locale.format location

commit 1648d254d6af0c37031602ec777d496a2cf66051
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 24 08:38:29 2009 +0900

    format decimals using locale

commit 0bf018fe025bfcc8116f07695bf6269bec774740
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 11:51:43 2009 +0900

    update priorities when changing model

commit 827afacaaa8193164898eb361cf92d8a16b227fa
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 11:47:02 2009 +0900

    update tags on card gen, update card model on model, delete old tags

commit 1098bb1c5c64c75f3e129d939227ada9a9dd3ec7
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 10:48:28 2009 +0900

    make fmtTimeSpan strings translatable

commit caf91b287ef6322d6e433392c8efaebfb3b99384
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 10:45:20 2009 +0900

    update finish translation, support importing/*

commit da4461d48dcdc5c50a3d216b88be20a9411d4e49
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 10:29:26 2009 +0900

    only split on space

commit 80464ab4a53d487f6bd6c25c33124be683f518b4
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 10:21:48 2009 +0900

    delete unreferenced tags on update

commit c7022fd37df6687c6b94091baa7537fa72f718e7
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 09:54:45 2009 +0900

    force a commit before integrity check

commit aa430f15e0a3720c037ea5c8ae0099ad13bc96a2
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 22 14:22:21 2009 +0900

    bump version

commit be3fabeee7f0726dac53aee2964100c9eb9cde01
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 13:36:02 2009 +0900

    update translations

commit 107217ca6fb8e3a2cd1fade54b94c5b205b2d737
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 12:15:30 2009 +0900

    make sure to update priorities on upgrade

commit 1be887872d89203b99e0f7bf95e0324ddc580620
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 03:55:24 2009 +0900

    use utc offset of -1 instead

commit 0bf59fa00bd7e865f891f0082c4d5d4e6e47595f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 03:50:43 2009 +0900

    make sure to close cursor for first()

commit cf459aee7d1543da3666b53e459dc95bc3f40dca
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 20 14:20:06 2009 +0900

    spaced cards > delayed cards

commit 1f56bc3ec0c989965d11e22916e7b935cb3a9c22
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 20 14:18:56 2009 +0900

    support limiting to single field in find and replace

commit cd44f3308bf28285d4c3e9897d385f365ab43884
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 11:26:33 2009 +0900

    add support for updating tags for a given model

commit 6af560da9ac8a909abd173dfe2f8bacdda025d1f
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 11:06:53 2009 +0900

    make sure to set ret if wait=False

commit 93ca931f012c5b18e4066c076b7f09a5f4828d02
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 10:42:12 2009 +0900

    improve progress handler

commit e2baf57744b1969d2f5cb46182e5ea2a5bdd4eca
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 08:55:24 2009 +0900

    Estonian from Meelis Vasser, Portuguese from Jo Nakashima

commit 95b8d655e62d5723937c672a078c812a664c5911
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 18 22:45:43 2009 +0900

    remove shared cache mode, it's not needed

commit 34be5b47a7eba4e4627919953f380127ea388d01
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 07:27:44 2009 +0900

    fix reviewHistory table by rebuilding it

commit a111537c26e02699d8b1b1f36cdbf383b0e75f6f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 06:43:45 2009 +0900

    fix refs to reviewHistory's id

commit 66cda18a695393974b99709a56ce1231b9d267ba
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 06:41:53 2009 +0900

    fix call()

commit 64275642ba780bbfa4c217a9d749825b9236669f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 06:39:08 2009 +0900

    pass unicode to simplejson.loads()

commit df3185ab0f2cd3570c6fdc8583cbcdcf76537283
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 06:36:19 2009 +0900

    add wait kwarg to call()

commit af176921df6415b5fd1a3df959f0ecc069a06dea
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 02:12:14 2009 +0900

    fix reviewHistory unit test

commit dfd70ce4a1271f4d4261be194a8e9f13b760aa9c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 01:52:22 2009 +0900

    commit before pragmas

commit 11cd9af5caa64f1e0204ae41150329c38d147401
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 01:48:51 2009 +0900

    commit before attempting to change page size

commit bc7b4e4d18297014884cf7eaa34ba064eee3d42a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 11:11:02 2009 +0900

    remove tag replace from find&replace

commit fc66e909aeeb45dc639463d51c155a9703caa594
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 10:19:29 2009 +0900

    make sure to copy tags on saveas

commit b4b01f9fc463d95ea04a69737f487292dc8fc486
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 10:06:22 2009 +0900

    fix initial tag setting when adding cards

commit f14ad8521dc2cc41ecd6ec1637f4076440218995
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 10:02:25 2009 +0900

    update initial tag priorities when creating deck

commit 9eca0221f1322fff2f7fd2836447506e3b5b96dc
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 09:42:42 2009 +0900

    reset undo on check db

commit 440321459afd93ea76dbaac34c2ef3731a85915e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 09:38:58 2009 +0900

    take out an exclusive lock on the deck

commit 52cfef6e6cf74e6a756b3d0f79864b02f0d64ea1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 05:23:59 2009 +0900

    remove trailing undo barrier on end

commit 95447a23ec317127e152195727aa80b8d1f0c5c3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 07:06:21 2009 +0900

    fix 10.3 audio

commit 38cfd6e7db97549aadafcf3f660b9bf1d086a499
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 06:24:44 2009 +0900

    new finnish translations from Niklas

commit 0743f87187fd30678c4376e109aab482ee3848d7
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 05:36:44 2009 +0900

    add progress information to deck upgrade, fix legacy file format = 1

commit b527d314993813fbfb41af325c7abded132c8931
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 12 17:21:11 2009 +0900

    fix the review history growing bug properly

commit ba15b6d0c312a2cd377a66fab262b0e73bab425c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 05:39:56 2009 +0900

    update translations

commit 183f7461b48ed64ca9f8a6dea622e3413016b856
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Tue Mar 10 17:25:35 2009 +0100

    Updating Swedish translation

commit 32f9f1952eae52ad09c8395f9b0a4064c38b231c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 05:28:53 2009 +0900

    simplified chinese from nick

commit 004030af0d08ebd4b1e4d4e3d368bfb70a330791
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 10 23:38:29 2009 +0900

    don't fail if progress handler unavailable or tags table existing

commit c266248edb971a249901c53b3d796d0621a5f81e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 10 12:28:36 2009 +0900

    fix review early bug, update indices on deck load

commit 343b76da052c2da89377a55ee090c16d0c6bd790
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 10 07:38:59 2009 +0900

    if utc offset is 24, set new utc offset and rebuild

commit 46451dbd4d48c28a7f536839559dcb78502a2d00
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 10 07:38:23 2009 +0900

    remove sox hack

commit 3bd9dd84944d0053d19daede3cf26d97b04e14ae
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 06:35:43 2009 +0900

    handle osx 10.3 audio

commit e75036adde4946edb01dce9d21a1e1aebc32a795
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 05:09:24 2009 +0900

    mention sox failure

commit fa513cab726a1fc9895dc3e47e69ad37ecdde738
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 12:10:50 2009 +0900

    remove duplicates from review history

commit 4763e411807ef4e64ce76c7d40ba31da62cc9c9a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 11:59:34 2009 +0900

    add/delete tags should update card ids, not fact ids

commit da3d25e2d6fcf2d573a9fa5c6a7f621e473bac15
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 11:52:41 2009 +0900

    bulk delete cards when template deleted, add progress info on field delete

commit 9d16b89c7de1fbdff53c013c78afe19e266927b3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 11:45:54 2009 +0900

    refresh after add/remove tags, don't use comma

commit 32c621de32c41cdb2389332682145a677a10224d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 10:58:44 2009 +0900

    fix low priority support

commit 20ac55581afb0cc56df88d2bfb386537086bd0f4
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 1 15:17:39 2009 +0900

    update translations

commit 27a152970330bdd325e12255d6252948114cb4df
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Sat Feb 28 23:05:59 2009 +0100

    Committed Swedish translation by Susanna Björverud.

commit 1234420cb782792e9becfa0f5ba59cca028670b1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 28 16:57:11 2009 +0900

    add tags based on user's priorities

commit 36421cf166d8cf118b71bf991755ba4971412244
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 27 15:30:11 2009 +0900

    use pure field model order when importing

commit 97eb12e343bfc0b45029eeb5dff07aff74e747be
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 02:07:27 2009 +0900

    new osx audio based on qtmovie

commit 83e27a12cebf6db41dcce1f28ac6c94e9d9f14da
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 00:49:54 2009 +0900

    fix extra suspend tags

commit 0ffc63409485819851e52134dd51d342cebb4597
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 00:11:37 2009 +0900

    update on openSession()

commit f9ace0178ccedbc2d19b6e80a8d2e1a24f5010bd
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 23:37:24 2009 +0900

    update translations

commit 14bb30becb0af59218d5cb38151a0b007fd518ac
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 24 13:03:27 2009 +0900

    expire after delete

commit 94f7775b7f27a46287139daa9794e8cecff9c12b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 24 01:23:47 2009 +0900

    remove space from missing media tag

commit 529ddef63a9eff944b04517f4f5eed0aba62e6c8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 24 01:12:37 2009 +0900

    max=0 to progress support

commit 7026ef9bd89dde4386051ce8f7edbc1bd2198566
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 24 00:13:32 2009 +0900

    update card tags after model changed

commit 7a12888eb2518108e200a091c16096a3adf30db9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 21 18:23:55 2009 +0900

    report new cards as new always, make sure they come before vhp if 'show first'

commit 12f73ef52af01e7ba430f9f05762b083f5ffffc2
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 21 18:05:29 2009 +0900

    fix priority rebuild

commit 3878a3eef268e071e48da8636ab19bf8d2ea2af0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 20 17:25:41 2009 +0900

    allow partial priority rebulid for activeTags, speed up db with cache/page size

commit 0d2429bee88c89da05f24c181d6b62c83a6d600f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 20 00:14:04 2009 +0900

    fix updatePriorities(), etc

commit 0b1a135176be9100ebfd62474710733b74bbc6df
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 20 00:12:19 2009 +0900

    update card tags after sync, new priority handling

commit ebaa37fe55ff60856e709f24b73ea8155507c1a5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 20 00:11:44 2009 +0900

    update tags when importing

commit 780010ad68439281f3331348e20b2ca9e99bf712
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 17:27:13 2009 +0900

    fix unit tests, turn off some debugging

commit e4354181c4a62b390fb82028d5376ba9451dcb9e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 16:00:45 2009 +0900

    db progress handler, work on tag cache

commit deffd752c536232f21ededf57e2cd72b5b91c7a4
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 17 23:20:05 2009 +0900

    fix failed card policy being set as custom

commit 9863bfe31804e0d9d80f42029ab2a354ed3fd042
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 17 12:26:10 2009 +0900

    add brazillian portuguese translation from Jo Nakashima

commit 0dfe83cd85b978333fd3f03104b3a1f98724d3cb
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 20:33:07 2009 +0900

    refresh deck after model change

commit 58fd0f253c1c2e5fb5fe2e7eab6c5b1cfa72548a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 15:49:04 2009 +0900

    add cloneFact() back, it's still used by previewing

commit eac6324fcbf41ea7837b24f0592fa77434a79773
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 15:25:56 2009 +0900

    raise keyerror(key) in facts

commit e3805476afb7ede94e2329690ff183e42c05cfa1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 22:21:06 2009 +0900

    remove obsolete cardsDueSoon

commit deed322c5392ceb34531d329a8848c35792e2551
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 20:09:50 2009 +0900

    only bump deck mod time if there were reviewed-ahead cards

commit c81098c03749a26082fc64b207de16153089fd36
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 20:08:40 2009 +0900

    check due after resetting early

commit a4bbe27014ed272da7e67ffb85b5c6f8ab8e21f2
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 19:51:44 2009 +0900

    fix unihan.db installation (patch from Krause.Chr)

commit 77a6488f6daa240b50b93f9308a12c2590e78055
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 03:03:42 2009 +0900

    when importing, tag cards as new, add unit test

commit 724c1354a83aab838605fb2143c3144993a1ec8d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 01:11:27 2009 +0900

    return number of changed facts in find&replace

commit 8892ad9f903f859297bcf2768b87d3db42ed12f0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 00:12:28 2009 +0900

    expire instead of expunging

commit f6b24b6d9afc51f20e492efe18b56bd01273c520
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 13 21:38:11 2009 +0900

    find&replace

commit 231b5fe9e7443cec8fd8e16df31a13fe6b8da630
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 10 13:22:45 2009 +0900

    only use failedcardmax with 'soon' failed card setting, fix tag unit test

commit a4e3badf8083e12f6800b30c3f765cac6cbff78b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 21:54:19 2009 +0900

    update importing for new tag handling

commit 55cf34e8eef9d19b042ceedac5f161a20f5a3724
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 20:21:34 2009 +0900

    make sure card model tags are included in allTags(), fix upgrade code

commit 6d7ef666401378762ba7ce6ca11650529c17666f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 04:54:59 2009 +0900

    more upgrade fixes

commit fa1713e9ee9b24ba44f4e3295feae2e991baa7f7
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 04:36:27 2009 +0900

    fix upgrade code

commit 9b4da171fe3153fc9c798a47e0f2e05b1aec4665
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 03:21:16 2009 +0900

    accept kwargs in tagslist

commit d127ae4175dc72d983f1de424a79926969888a89
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 03:13:37 2009 +0900

    separate tags with spaces

commit 28f738f069b7a9a7d2d736b92e6c70011ffc2029
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 21:34:46 2009 +0900

    tweak order of failed card options

commit a342c73887918a0f6fce6a07c03a0fb23537d580
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 21:31:44 2009 +0900

    improve failed card handling

commit 3b2ba252cdcc1b4d5d6d1d6c162363ff4ee356bb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 16:21:25 2009 +0900

    remove debugging code

commit 50e9885c15dc32ac4cb65a3588214f745cd87b16
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 14:55:48 2009 +0900

    faster allTags()

commit 0bff47cce9c4d26d1eb477933246ce10cf2b95f7
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 23:39:32 2009 +0900

    only report kanji for models with japanese in the tags

commit d35320364ad77c94d4d26ae5e0adb7f1d4057479
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 19:30:39 2009 +0900

    add progress bar for deleting cards

commit 4d4e7afcffb655400eed00964cdf6e38a49be74b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 19:12:03 2009 +0900

    add undoredo hook

commit 4fdaa1ec79fa49275111770817637aeb2af3a9c4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 18:56:29 2009 +0900

    fix stats size on osx

commit bde46a94f64b203dc600c6bb475f3469877cb522
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 18:34:35 2009 +0900

    fix audio recording on osx

commit 09dbbecf3a9ba1b574ca6f69840dfadee4f7cc73
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 15:59:35 2009 +0900

    fix suspended card msg when review early term early, tweak fin msg

commit 8c9803e638c4a8cfb0450119b3fc52c19d2796b8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 01:28:21 2009 +0900

    dynamic index generation, sort new in rev order

commit b91b458c6d36d92f2b3fb52550cf4f9a892db961
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 5 16:41:57 2009 +0900

    Reverting "add 'make due now' option"

commit 45829f9acc2fce62ae6a42f791f9a2fc813869c8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 5 11:58:10 2009 +0900

    add 'make due now' option

commit e807b35ce5a96d04143b1f0cab6476cd5853f058
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 5 11:35:22 2009 +0900

    production->recall

commit 3a1c79e1ce36ebf7e25293023ea7de8183ce8ba1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 5 00:52:05 2009 +0900

    only update priorities on due cards

commit d0fa667717037c7a436610c66754d7d69d913d27
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 22:33:49 2009 +0900

    don't report deletions when renamed, assert checksum on client

commit 89a31fdc9a5c99c855a5939f2c79e1e5420b0a79
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 22:24:54 2009 +0900

    don't checksum media locally

commit 608b899e586e813cd2f7fd6ec22986d40e0903ac
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 22:05:16 2009 +0900

    bugfix for change model

commit e2676c238fbe2b529c32a230e3ee677be705d948
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 21:55:51 2009 +0900

    tweak review order wording

commit ca8e5928409cdcfa35c0934f5abaffc4780552af
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 21:46:14 2009 +0900

    handle x->y & y->x in card model rename, big speed increase for update qa

commit d44c3792e9244124c8511ae5a6063823159e724a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 20:43:54 2009 +0900

    model changing support

commit b1835ff71bcae4b193119ee2e0d4ec23f162849b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 18:00:00 2009 +0900

    no need to replace into, since we delete fields anyway

commit d59ea678b3e2c3c0932096b42335cc556b3c719b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 2 15:53:12 2009 +0900

    new spanish translations

commit b2832b236343f96b35fb9117662d1dd16145c37b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 2 15:35:34 2009 +0900

    get rid of spaces in congrats

commit 40ed30b4eaa5dd721550a3f3812b3a03a8a16d57
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 03:58:58 2009 +0900

    don't show spaced cards notice if no new cards are left

commit 3b8df0c3377dbf025145f0f45398efd0fb77db57
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 03:39:55 2009 +0900

    add reports for seen and non-jouyou kanji

commit 479f38fab275741c742ee8237394aff29ec64e55
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 02:18:46 2009 +0900

    background colour, reduce default spacing to a minute, tweak finished msg

commit 275d962cb4ff7ad6f590796d08ded5f4a81240ff
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 27 03:09:12 2009 +0900

    make sure not to create undo log on new deck

commit ea89f1d587c8f13adb968f459ee478817542b07a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 27 01:48:16 2009 +0900

    show # of facts in deck stats

commit bf77ed1db7c443a2b588fd193dcd198a1f298e20
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 16:03:06 2009 +0900

    update chinese translations, translate script

commit c1e5e657b63df21a02cf9bb8ea4c7a93db59052b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 04:17:03 2009 +0900

    cards>interval in docs

commit 585ed7f7f747c91addee5750d8566ff583d24621
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 23 15:38:33 2009 +0900

    new translations from mark

commit a6b42524282dfdba806a67a8945aaf517198c1ea
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 22 23:47:31 2009 +0900

    fix graph dividing, make sure to display 'x cards waiting' msg

commit 5545f5f622128884127f9b2f4fcb7d71237cea67
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 22 17:18:01 2009 +0900

    catch overflow errors during record

commit 26272cba651580556900947c781c155c479760d2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 21:34:30 2009 +0900

    update translations

commit 94184cbdf5264c0edd3f26f5b619d2e717fded6d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 21:23:08 2009 +0900

    unset typeanswer on upgrade

commit 8ae88b49d021d67c3367cae263f9c691f7538a16
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 21:17:58 2009 +0900

    bump version

commit 2a0f22348d12a6df5fb52580ea23dbb21d5da2d8
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 18:36:58 2009 +0900

    ignore sqlalchemy 0.5 deprecation warnings for now

commit ded420dd9e4a8ccd1f2df354599f4697fd1223f0
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 16:20:42 2009 +0900

    fix allow empty answer problem in sync

commit f1397fcd8612a9505398b025322dfe50da54f2ef
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 15:58:59 2009 +0900

    fix warning on creating new deck

commit 913fe96c07c8d3dd0436d7ff75096b18149c937a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 15:48:09 2009 +0900

    ignore priority when reviewing early

commit 222503ea8f8f029993bc58ed082e4c6e1b5e5866
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 01:43:23 2009 +0900

    store field to compare against in type answer

commit 28b0a7b8d3c1902f38b287ae1b3be2d297bdc04c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 00:27:04 2009 +0900

    rescheduling support

commit 098cc984717e504c917d99b02395c212b4c42c70
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 23:33:50 2009 +0900

    translation patches from Piotr

commit bebac3081100dc4a6b4229f9d362c2a409ada885
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 23:31:50 2009 +0900

    hide status if deck integrity bad

commit e50ccf22e55c8e6e93852ea85aec5e739964df56
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 02:16:15 2009 +0900

    canonify tags when importing

commit 9fe28df5dc5cb0e1599032c837956697d89c496b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 00:52:20 2009 +0900

    add start of chinese traditional translations

commit fdb32ecbfc8b59c5396aac184c7c665514e5de35
Author: Niklas Laxström <niklas.laxstrom@gmail.com>
Date:   Sun Jan 18 17:43:48 2009 +0100

    New Finnish translations from Niklas Laxström.

commit 1da037ba90709fc1bb3199b3c380f43105ca0cd6
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 18 14:48:07 2009 +0900

    more polish translations and bugfixes from Piotr Kubowicz

commit 2792d22bf549f1e97afd689678ef61242098ef79
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 18 00:49:23 2009 +0900

    win32/mac fixes for audio

commit f3368d3c1eece9d1c5f4444e5eaadbdcb627a7b7
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 23:57:08 2009 +0900

    fix recording, remove debugging

commit f5feaaa782ed9f56a11efad51b6b49f1f1c06313
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 23:00:51 2009 +0900

    change wording

commit cfc458e45f792d61f7272e87e154b4b85fb574a6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 22:45:00 2009 +0900

    fix exporting re

commit ff4cc7b0af1b9f73fd07dc8538577d5ee9afbb20
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 22:32:40 2009 +0900

    add importing tag support, fix audio

commit 835b4b5969d9d9d0dc677c3411f972adf3932314
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 19:04:26 2009 +0900

    make sure learn ahead only looks at review cards

commit f636b71b8c4b67da9839be11e89e95aa8b49c1e9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 17:37:07 2009 +0900

    strip field model html on text card export

commit c1d778971f292c355e0d6089a744392de3a9af79
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 16:41:10 2009 +0900

    always fix current model problem

commit 75d6123dc3fee09d57bfce6d0babaf960af2765e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 16:29:45 2009 +0900

    identify temp files as anki, quiet lame

commit d4ac87bc199505bd840f89e36a5fe017b1accf18
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 14:14:28 2009 +0900

    add pyaudio recorder, remove external recorder

commit 97359df499351933f1f9f514fbca3f0bc31b252c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 14:12:05 2009 +0900

    add _ to anki10

commit e010abd2d38c05a93cba2205e8a224ad74593e55
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 01:27:42 2009 +0900

    give the fade a little more time

commit 334d126237bba450bf6c299cda267113d0cb2108
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 17 01:05:39 2009 +0900

    recording & noise profile support on linux

commit f515a6c5f90d7dab4db2b254d1e30d536bc66fa5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 21:24:26 2009 +0900

    more precision on undo progress

commit 1fa7466dd9086b52f32cb4e3abdd1be0dcdcaf33
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 20:22:46 2009 +0900

    progress for importing

commit 6015dbec0421705908a175ab6d2d2baa7d739612
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 19:23:23 2009 +0900

    add progress to export, speed up export, tweak undo progress

commit 87fbd896fce229e3ad472f361fa540f162987030
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 18:54:32 2009 +0900

    fix undo bugs, add progress, improve progress of check media db

commit 8bdb1b8c26cf95b6d02ef727463f775c130a76ee
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 18:18:19 2009 +0900

    remove debug info

commit 240d311ca094e8803a59dddfcb23f53284091835
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 18:17:36 2009 +0900

    optimize add/deleteTag(), add progress callbacks and check (media) db

commit 8bd84d4dfe4cd6ab460c0172815142ebfce183ec
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 16:24:38 2009 +0900

    better learn-ahead handling

commit fe17d6c53e1ef90ab0d24ceb0f190a6a5a8068e4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 16 13:14:40 2009 +0900

    improve upgrade code

commit 3670a0cb7bdb16ee7eb53c7b0f8b1f40dbbca3f0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 15 04:37:27 2009 +0900

    review early, learn more, tweak finished msg

commit 9ac39267865386a4f95f57a38ff4c6315f713546
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 15 02:57:03 2009 +0900

    save priority too

commit dd5e7c45b445c701d2f4c9944f569d2bd65500fc
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 14 15:35:16 2009 +0900

    make sure field & card models are not duplicated

commit 93332079b534946afe0cbfcc20730dd1240649da
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 14 15:28:27 2009 +0900

    add model copy support

commit 8e71b5fbbf23bc16f9ba2d74219e17650780ef2a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 14 14:10:07 2009 +0900

    add change card model, fix bug in check db

commit 39810aa3d07e384185b4570b74a5f39cd8277028
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 13 00:38:52 2009 +0900

    make sure reps >= 0 in mnemosyne

commit ff2ca5a56729f0ced766923792ea2ba4f3be4ff9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 13 00:31:52 2009 +0900

    set factor based on easiness in mnemosyne import

commit eca41e5ec7d7a1b0e665c5ec58bd16c43f54693b
Merge: 5d23568 314f6c9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 10 16:54:34 2009 +0900

    Merge branch 'master' of git://github.com/scout/libanki

commit 314f6c9b1f8dbf91dd87d06ee36ce2f6b2677598
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Sat Jan 10 00:00:48 2009 -0500

    fixes media sync progress bar not reaching 100%

commit 5d2356804e374872c12864375cd42ace232038ec
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 10 13:53:14 2009 +0900

    graph review time in hours, not minutes

commit 8c6647f1d5d9abffe891a350247a23e9b3b07a0f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 9 12:11:45 2009 +0900

    fix graph translations, update polish translations

commit 8c05ffa60cbb30513eb6e4b964deb1f10ee25573
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 9 10:22:27 2009 +0900

    don't ignore build files

commit 2251d0bd3766fc6fd43a6df14275d0bb23922902
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 9 10:18:44 2009 +0900

    add chinese package too

commit d11cf41cbab983e1f0ea86b0b51e125b8661e410
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 9 10:06:57 2009 +0900

    make sure importing and features are installed

commit 4b6dcf6f6c8268372e14359c278ec049186dcf87
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 8 11:18:38 2009 +0900

    fix db.py for ankiweb

commit 5f0716aa5f139d81c76b00173e098bf5743b9c8a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 8 10:01:22 2009 +0900

    update translations, bump version

commit 6e63bdfc7c2378c507b9e406d4768c01fbbd20eb
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 18:49:12 2009 +0900

    make sure runHook is imported

commit f87c02f7a4fb2e5f3b7d0d8ef28339efd210f12f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 12:48:44 2009 +0900

    run deck closed hook in libanki

commit 8dfeb01de6492bbb77dc6ab8d60ec59e537e0261
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 12:32:26 2009 +0900

    remove superfluous statement

commit 7c764763d2da75e0f66c9ef1aa66fb3b9bebc294
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 11:37:01 2009 +0900

    sqlalchemy 0.5 compat

commit 2b3057861511a1516d0f6010a5b0b040cd6d92cc
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 10:56:32 2009 +0900

    make sure to commit lastSync on summary, don't force table size

commit afa9565d125afb8b6d396380d7e25645f9d7e540
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 09:47:54 2009 +0900

    make sure to copy media table on saveas

commit 57a49e9b080831b2d0a3380f0bac969c461cdaef
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 09:25:32 2009 +0900

    fix ordering, add index

commit f60a53615934279137b1c14373ab48f929933cf5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 7 08:51:27 2009 +0900

    record last session start

commit 7ad0e99b598b7501bad9c173eff82b95b2c5e0e4
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 6 12:16:32 2009 +0900

    fix problem with null card model props

commit 8ab3e3250dd8d4f0440b00f0d80dd5e8ba30a2e3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 6 10:31:51 2009 +0900

    new polish translations

commit 36ae6df933480c3b58adee569b1f3a92713d1c60
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 6 09:15:57 2009 +0900

    default to a ten minute session

commit 68b7991492dac60ec3b30c1aaee6b95d6974035e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 17:06:56 2009 +0900

    fix default session limits

commit a44c7c33331306c99e2a310cef30c83e67d09c1a
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 16:25:00 2009 +0900

    rebuild translations

commit 36a715fd17934a7ff68567299c80bf55f6eb5eab
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 15:38:26 2009 +0900

    add type in answer support

commit 86e3c19ad608af9582399c12fa66f0a2238e14c6
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 14:57:28 2009 +0900

    add review time graph

commit 8bb063c22656d952c4799e00ff4f4a7622e903bd
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 14:40:22 2009 +0900

    strip some trailing whitespace in graphs

commit 3e7d3bbf284704f32e4669cabffd518f280e5ae8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 14:38:15 2009 +0900

    add support for clearing audio queue

commit 2319cbcc7126ff119dbfa6e7d2a2b7b9101cd381
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 13:41:19 2009 +0900

    timeboxing, delay lapsed

commit cdc37fa7c0190623dab03be0c2e408fce3a8edd4
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 08:28:13 2009 +0900

    strip commented pygame from sound.py

commit da6211b9ef9fc576105a9ee3086c5d33315a9226
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 08:25:18 2009 +0900

    don't use full path to audio, as the working directory will do

commit 7e74fe38447ad0da607369a3cabd46756b49e440
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 08:20:49 2009 +0900

    fix media dir problem on win32, fix unicode issues with media

commit 2aecbffafe9b826dba7af7d1d07d9b43d3295f56
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 06:51:47 2009 +0900

    fix backup on win32

commit 8750b9bbbb5687f5e1365a5a296ebbe6bc87b19c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 06:40:08 2009 +0900

    don't convert to system encoding prior to converting to utf8

commit 9c226d5b4fd0b35c5bd78f33165c8604daa589ad
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 06:14:00 2009 +0900

    fix spacing in card stats

commit 91e90d8092ffefac0248fd96a90db6d54ed9a5e9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 5 06:10:10 2009 +0900

    card model > card template

commit e3feff6ca6973585ffe99635d659f3a1c09e6c76
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 13:48:48 2009 +0900

    revert undo log to temporary table, fix slowdown on big undo log

commit 73767124d83fec371685b021ee0a0442939c9133
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 13:13:53 2009 +0900

    fail gracefully if unihan.db is not available

commit 6ce63b4889c9605cababfb1fe852bf03abd6993f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 11:57:41 2009 +0900

    fix plural definition

commit be5c162e6af6e97b374f31bb737a0f096cd78f53
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 11:47:14 2009 +0900

    polish translations from Piotr Kubowicz

commit a9c04a69d1be04f82de4f2757c4fee4fe74f58ab
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 10:03:32 2009 +0900

    fix tagging in check media db

commit 7adbad0ffa9733fefb824a1e6d3684b000fc92f5
Merge: 5efb691 3a2fd8b
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 09:28:03 2009 +0900

    Merge branch 'master' of git://github.com/timo/libanki

commit 3a2fd8b5ada44e713289899579a763e15b2880e5
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sun Jan 4 01:26:46 2009 +0100

    fixed "unsubscriptable object" when disabling all the graphs before workDone.

commit 5efb6910ef46c84e3fc9cd3adca71a730f2d4fa3
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 08:05:42 2009 +0900

    fix name() on in-memory db

commit 0f129f7aead001760aecdddc7f99ca43b58975fd
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 07:43:45 2009 +0900

    fix saveas with no media dir

commit 9765fdae73cd1d73f77b00fe284b813754755d6f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 07:40:05 2009 +0900

    support media for memory backed files

commit c973c1eb4f5dd26edc0b8f1e3a117ba8d6c35b9e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 07:13:30 2009 +0900

    new decks now default to in-memory storage until saveas
    - undo needs fixing
    - media support needs to be changed to work with in-memory db

commit 4a22f5b6e7da9e9a55a67d8c0a53c4a1f2efbcf2
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 05:41:28 2009 +0900

    fix a unit test now that back is not required/unique

commit cfa1789e7639b8e5167a5d9077c54aa51f5218e0
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 05:36:58 2009 +0900

    don't install tests, only anki

commit a5d64aaa7f084b63e2a3fa87e9a1ecbae5a84321
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 05:30:15 2009 +0900

    make sure allowEmptyAnswer is a bool

commit ee71c66cdbc7d0bc268baf83a4646c7ad565a6a9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 4 05:17:58 2009 +0900

    document need to call refresh after merging models

commit dee4ee3e8a8ead112819dd08ebab1bdec4d981d9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 3 07:29:39 2009 +0900

    new translations from Christian Rusche

commit 429e4252cb21d8281ea19c348cfdd4c0acd41235
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 27 16:14:43 2008 +0900

    delete undo log outside of session

commit c0f49f13732ee7074edec8e3ba6e6891d8a964d0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 27 15:57:30 2008 +0900

    delete undo log and vacuum on close

commit 559b6c6cb71964437260c9c3f409fdeb5ddc817a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 26 14:30:32 2008 +0900

    new spanish translations from pcsl

commit fe58ca679393acc81894e73ddef26c73a758ea36
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 25 19:36:33 2008 +0900

    bump version

commit e1c056f8fa1f2d84e7ed35c9fc8ccf497675766c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 25 15:24:34 2008 +0900

    allow blank answers by default by changing field props

commit b161d6e4855fc8a09950aac201295f209a2e76cc
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 24 15:48:54 2008 +0900

    add option to avoid building latex

commit 35ef8e6fa9fa96c90ef79d22806d309c90fd3053
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 24 15:11:35 2008 +0900

    make sure both args are unicode

commit b3be3772fbfd349fd5931917d784eeffef31e3e4
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 24 14:58:17 2008 +0900

    change to media dir when it's created

commit 1abd3f4216cf01a1955b00958c08b374149ce86a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 22:11:00 2008 +0900

    update translations

commit 95f1779130941f7236f4b832755d935847872a43
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 22:09:33 2008 +0900

    make undo log permanent

commit ac15b666ef5542c843032ac9444ad84f5593cdfd
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 20:38:19 2008 +0900

    untitled>mydeck, don't remove on saveas

commit c50203b9a12ef30867b8cac7f7068f6e51880d3a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 19:09:37 2008 +0900

    use alternative sound library on win32

commit 48257368ccbbb1af7c848e080158c43bfdc24754
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 18:48:42 2008 +0900

    make sure congrats screen is displayed using standard whitespace

commit feb0acf52c08effe8326dd831fa09e751d4390a0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 18:39:14 2008 +0900

    don't remove leading/trailing whitespace

commit 6434d5c03e4a9fd595d56792b7ded48bc10f83c3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 18:38:54 2008 +0900

    don't collapse multiple spaces

commit 3b3fef4ebc38f07a012bd47b10d4bbf03233c1b9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 18:00:12 2008 +0900

    refactor latex into media support

commit 6a21be9d19038b40f2b36b39815b28c6015afcbb
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 16:24:06 2008 +0900

    refactor latex handling

commit 41fe0c92be756ac31a6f0b8fafa90ef18b0364c8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 15:44:29 2008 +0900

    rename function

commit 9a9082529b1ed542722395a5fffc4d2eb5284aaa
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Tue Dec 23 01:27:19 2008 -0500

    mass un/tagging now updates modified cards

commit a0a6df0f8ea34cee279ba605602dfe9085807468
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 15:41:22 2008 +0900

    fix problems with lastsync

commit 75dd6d44200031b2f4258e8c62d5671602e6449c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 15:38:36 2008 +0900

    update card models table earlier in deck open

commit 490c7c4bed38aa86e396c39d6d63408b166db80d
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 13:48:05 2008 +0900

    make japanese/chinese generation fields more easily customizable

commit f903288c59e60c0d949e4cae2b768cf85aa0289d
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 23 13:42:22 2008 +0900

    add support for 'allow blank answer', default to allow

commit 9e470639403364c5ab48e5fae3cc1f4a813c2cc5
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 21 00:37:20 2008 +0900

    change graph colours

commit aca5a403e597a21153de08f45678a8556d1e24b9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 18:31:18 2008 +0900

    use mplayer on windows too

commit 8a47538075ca2c4d246d760da88249df89e414ea
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 18:30:02 2008 +0900

    use lastsync not deck.lastsync

commit e812f69dee4b41cac95d58b82302ac5675695b64
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 18:29:06 2008 +0900

    new audio handling

commit a6f7276b03277e4acf0f7e2f140d04190bf56e56
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 16:26:51 2008 +0900

    no need to rename on a case insensitive filename

commit 499b6b76fcdd5a107cfe57a77a65d6ea8164bf5f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 16:14:39 2008 +0900

    try again..

commit 1877bc6769fb430f36f6559f88e9ac1d89bdf422
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 16:06:04 2008 +0900

    possible fix for case insensitive filenames

commit 1ee40d086937660fa2e007b1775dc1942674fe39
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 15:41:01 2008 +0900

    update new card order label

commit 943e00632244bbbad97ba82b135ceef0ab94c6b8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 15:37:42 2008 +0900

    support new cards first

commit e9d2e6595e6b64c8acfcd702a11a26a5f4cbdea0
Merge: 5b5cad5 2c85801
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 14:12:18 2008 +0900

    Merge branch 'master' of git://github.com/timo/libanki

commit 5b5cad55a5931b9cd5e2ecb238eb74c820eaf7f6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 20 14:12:14 2008 +0900

    make japanese reading behave like before

commit 2c8580100654ca6b4ff7931c17ce0f9af61c6ee4
Merge: dd10c38 cb765bc
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Fri Dec 19 00:51:34 2008 +0100

    Merge branch 'master' of git://ichi2.net/libanki

commit dd10c38f786dca6d69e0e0feae866f185df44135
Author: rageon <rageon@rageons.mydomain>
Date:   Fri Dec 19 00:41:21 2008 +0100

    extracted colour definition and new colour scheme

commit 025ad7b431957fa7c2261e3715bf1ee979abd9fb
Merge: cb765bc b665595
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 18 14:54:15 2008 +0900

    Merge branch 'master' of git://github.com/timo/libanki

commit b665595c0c1d6d79304f4701d4156bae2eff3cca
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Wed Dec 17 12:44:29 2008 +0100

    new, less "urgent" due graph colors.

commit cb765bcb721118469d45b10b2181fbcd0d4d494e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 17 00:41:13 2008 +0900

    deck stats should show all new cards, not just due

commit dabe170beddcc3779380f1b12173420981f231c7
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Tue Dec 16 00:23:10 2008 +0100

    don't display the "reviews over the lifetime of the deck"

commit 84f953c754d7cb25d13b4636894d9a0d1e24cd2c
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sun Dec 14 14:15:35 2008 +0100

    colorscheme v3 (again by rageon, complaints by Damien)

commit 61600f58edeb74178a74253780f9ab4ad65c4576
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sun Dec 14 13:56:19 2008 +0100

    revised colorscheme (thanks again, rageon)

commit b71aecf626ac8d15fd78cdae4f36ec6f872ecb0e
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sun Dec 14 13:16:30 2008 +0100

    new colorscheme (thanks, rageon!)

commit ccfab29fb87348059dcf62329394b37708ea8cba
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sun Dec 14 13:06:41 2008 +0100

    reversed new/young/mature in graphs, this made the graphs so much nicer!

commit cc08fd402c9fb698e5fff34300949dc624adb7a5
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Dec 13 18:50:05 2008 +0100

    fixed a silly mistake in the reviews code.

commit ec401210fdbbaa6953d80fa41ab7c6e126d87f61
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Dec 13 18:39:36 2008 +0100

    added a legend to the reviews graph.

commit 9c1f76cf579c6dc7ac51f9e7add73f032f17ccf4
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Dec 13 18:30:49 2008 +0100

    split "reviews" graph into new, young and mature layers.
    
    next step: add a legend, too.

commit af284841549bf728a590bf1f1c7b74139a09fd65
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 13 18:04:43 2008 +0900

    various graph fixes
    - remove bars, as they are the main cause of slowdowns
    - limit cumulative and due only in the future (fixes late decks)
    - don't use outlines for periods over 1 year

commit daeba6f78b42455dc2dc5d650ae3f5e60681bc94
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 13 16:44:59 2008 +0900

    fix a problem saving over a deck with an existing media folder

commit f1a2fc7feb63952cc0a88b4f98b2f20c25f7545e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 13 15:25:43 2008 +0900

    new failed card eta from nick cook

commit 9d3fb8d92200189635ffa22cbcb9e291c8dd74c9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 13 13:46:01 2008 +0900

    make sure to delete stats on export

commit d027892c5c0b272de99b6d469dee345df5d7675d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 13 13:40:14 2008 +0900

    always downcase media extensions, fix path on win32

commit e7be3e080c241cdb0a39dd5429a6cbd5ce3755ee
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Dec 13 04:11:52 2008 +0100

    sped up graph generation when switching from long intervals to short intervals

commit d2e23af5e60b2fc8e5e520470601e00871f55f0b
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Dec 13 03:22:42 2008 +0100

    making the Figures lazy introduced a bug. fixed it here.
    
    whenever the recently added or first answered graph was the first one to be calculated, it wouldn't have generated the stats yet.

commit c810ed72541ed039d54e30e12ed8dd2d0f9d5ed1
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Dec 13 02:27:58 2008 +0100

    added necessary import. moved code. made stuff nicer.

commit 7645483fc72d3e5a85af3e49756a005c116c5d95
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Dec 13 01:54:41 2008 +0100

    added first code for the work done graph. needs refactoring.

commit dacd318ffd547271bdb545ebeb42310b37e3bfa6
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 04:13:57 2008 +0900

    conditionally encode path in media

commit 7f9593816ce79b5b5351b56fcbdce6bd11216474
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 03:27:05 2008 +0900

    prevent unicode error when pasting image

commit 586345387755df6c379a2070528e4a51452ed4ae
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Wed Dec 10 19:11:42 2008 +0100

    fixed: added recently and first answered always displayed 0 for the "first" day shown.

commit 33257c38bcf399303264ae4a51fb42b3368368b8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 01:14:02 2008 +0900

    close deck after copy in saveas

commit 634362dc769df6ab014a748f76da7744d6c1b22c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 01:13:52 2008 +0900

    encode media filename to unicode first

commit af52a50547481ee22cc3433f0718b96bea4456ff
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 01:13:35 2008 +0900

    backs are no longer unique by default

commit 3f3fe8354c3e3fd3b94e2daaae50185c39711f4a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 00:38:09 2008 +0900

    bump version

commit 071d861c3e41a59fd0ff92c93a7b4f00b5e3a22b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 00:37:55 2008 +0900

    fix congrats new cards link

commit 5dc05735c5914971e3cd4a1258aed3dabc80af1d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 11 00:19:19 2008 +0900

    rename default deck to untitled, delete on saveas

commit 82870a9a19db2df12b8bdd512b8bd43ffbdef176
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 10 23:47:51 2008 +0900

    remove labels from graphs, they don't support foreign text

commit 89591073dec9f1916639650ed142ee82ed1a30fc
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 10 23:07:13 2008 +0900

    properly set midnight offset, fix graph offset

commit 3afcf982dd786244ba79be4a8fc606b1e6c7a6cb
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 10 22:05:44 2008 +0900

    fix 'delete' option of media check

commit e1aa79336cef4c46a45696d388bfd413f6d17074
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 10 20:05:49 2008 +0900

    show only user tags by default, provide model and card model as options

commit 2d5e58ac998e3bc1e71131db1d5b3ceaad5d518b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 10 18:03:34 2008 +0900

    routines for determining current new/rev card order

commit 963d79069f3b3fb1738f14601ba1159442273218
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 10 16:46:49 2008 +0900

    make sure wrap() returns the new result

commit d0358067232051219f13f05814297e920bd56450
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 9 02:31:50 2008 +0900

    update finish translations

commit b956eff6b5ed5abf247e27cb4276ab809c6d6fbd
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 9 02:29:08 2008 +0900

    split model & card model tags

commit 78a15ab652ab28482f9ec36b561b58217ba96ddd
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 9 01:57:28 2008 +0900

    update priorities when adding/removing tags

commit b0eb995aa6950ec7579bcc01922e4bd307060318
Merge: c3c7c6e b193e88
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 9 01:30:35 2008 +0900

    Merge git://github.com/timo/libanki

commit c3c7c6e43ce5738d9c4658b5c4decb20e2ce25f4
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 9 01:23:49 2008 +0900

    flush after delete

commit b193e88dbd3f6e022025a4abda26b67ca7473aaa
Author: Niklas Laxström <niklas.laxstrom+kdetrans@gmail.com>
Date:   Sun Dec 7 20:44:06 2008 +0100

    added finnish translation.

commit 1d5f9db9cbfe2c14bd0d85ffe96e7d69486e9943
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 7 23:29:34 2008 +0900

    bump version

commit 3dcc9c75f2e533943061bf9f07d273d0aac8e16c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 7 21:41:15 2008 +0900

    hack to make more compact table

commit 8c9f883e6874b7b5ce7ec6802de262c248c468ac
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 7 11:38:35 2008 +0900

    dupe fact on add to avoid session issues

commit 02a124b66d1ebb27fdf79f320e02d954d4325012
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 6 17:17:55 2008 +0900

    thinko in last change

commit d480e42f55ec8c505d5e2711e74cdcd6dd72e135
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 6 16:13:34 2008 +0900

    rebuild counts after undo, rebuild counts more efficiently

commit 31d96923dc269025691b5464734d0f1ae202849a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 5 23:43:19 2008 +0900

    update legends for old matplotlib

commit 82c3b83f575f550f5a89e2205ca7735c8c81eec8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 5 21:43:54 2008 +0900

    remove obsolete graphs code

commit 6a4f1d873b80cf38a6099abc94a43f64298677be
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 5 19:30:44 2008 +0900

    munge html on import

commit 4b19cff16bfd5eb501fef67f201070a0335f1d61
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 5 18:57:47 2008 +0900

    30 backups, not 100

commit 0c5f65c1ea94f6f0b1968686f500d46200d56992
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 5 18:51:38 2008 +0900

    after deleting a field, make sure to update card models

commit 60fdadd9e8f1819fa5047bbcb22db0a1f3c3d241
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 5 15:15:16 2008 +0900

    fix ease graphs for new button layout

commit 7463ef570b4a56376fa966eb4b1d4795e91b60a4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 5 14:37:31 2008 +0900

    remove redundant new cards from graphs, rewrite queries

commit 7b2abd715336f324e05f6c90e567192b608bc0e4
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Wed Dec 3 21:52:52 2008 +0100

    added a good-looking legend to the due cards graph.
    
    i feel dirty now.

commit 3a1f6a9274f7c1c1baad5464914490cfbe282700
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Wed Dec 3 21:26:43 2008 +0100

    seperated cards due graph into three layers: new, young and mature.

commit 1532868401f62ede5e5fbb72f3924ace6dc447ae
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 4 02:12:42 2008 +0900

    add some tags to stats

commit 5e5381d66fe895f96bc5e4d080792097eaf72844
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 4 01:50:52 2008 +0900

    make sure to update counts after addcards()

commit 02e1fed2ef19fe2148e7121278277bf7be6ec6a5
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 4 01:14:11 2008 +0900

    behave nicer if undo disabled

commit 78f3c8b4ba7a0141acce4e0dd0dcb7a379350f4b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 4 00:55:51 2008 +0900

    refresh after undo

commit 9331dac050489dc471be6d0361182464730d28b6
Merge: 1d910be 4ba12dc
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 4 00:12:56 2008 +0900

    Merge git://github.com/timo/libanki

commit 4ba12dc75314da75cf0ddd3cdf18dda44b6388b8
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Wed Dec 3 16:09:31 2008 +0100

    graphs now pay attention to the "shift midnight" setting.

commit b08833b6b62952c9d3b6bc840134e58cb26c6cc1
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Wed Dec 3 15:47:04 2008 +0100

    fixed cards being attributed to the previous day if they were due past noon.

commit 1d910be2cf7ea90f67630575ea29745be3dd1cde
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 3 20:13:05 2008 +0900

    remove hr tags from std models, balance is bad

commit 67268885371be8450e4d8dcb668780b43b1e6174
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 3 19:44:55 2008 +0900

    fix unit tests

commit 21b59408cde661c4bb17a9728554d16b37ffcc27
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 3 19:22:15 2008 +0900

    refactor features to use hooks, update stdmodels, update findTags()
    - remove description from fields, cards and models
    - remove features and use field names instead

commit 97caa8119f62b71b430bc911674d273fa9087e65
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 3 18:26:40 2008 +0900

    add instrumentation tools

commit e84c0072b016c03c8022519ed5cf7ecb9276c9f2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 3 02:06:58 2008 +0900

    don't commit deck on load if count hasn't changed

commit ada1cd04b751f0ed17496dc799618ad8309f6cbc
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 2 16:41:25 2008 +0900

    check for null sources

commit 0f8762c3fef5ec16c2e9c5738c40d56e95011140
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 1 12:51:35 2008 +0900

    forget deletions before deleting anything in fixIntegrity()

commit bf10f96cc26719fd86bc8f897e9af9054f21b2af
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 1 01:37:54 2008 +0900

    python 2.4 compat

commit a7a40bd2416000103fcb08a54905afe583fd4dbf
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 1 01:07:34 2008 +0900

    disable undo debugging

commit 55df77e0d1298994855810c3d2bd44ad84d7b433
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 1 01:00:01 2008 +0900

    handle unique better

commit a83b41b9395062cae91efa6a10b016b9c595130f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 1 00:25:51 2008 +0900

    add most of fieldmodels

commit 0ff3b4174525c81d0f42ac200261ecee4d3d581f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 1 00:17:43 2008 +0900

    don't add layers of undo barriers

commit 1e98f8bf81e76756ef33fb1acb4e0eb1fd681efa
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 30 05:47:36 2008 +0900

    add card tags to fact

commit 320d1fa758fd15928cc920747eccdbe076a2663c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 30 05:47:15 2008 +0900

    conditionally enable undo

commit 373e161a6c050d8a60643f5aeaf19b0bbdc5dd5e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 30 05:40:36 2008 +0900

    undo/redo support

commit a9a4f08e24a97cfdb34c6813593a5b1809cbe536
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 30 05:40:21 2008 +0900

    allTags() ignores card tag

commit 0e7ebae9b89d4f73f6ab6cd076197e48f353cd83
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 29 16:12:58 2008 +0900

    make stats smaller

commit 2480447eea9a88e2355b177372ab1eafadc2cb56
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 29 00:36:07 2008 +0900

    update translations

commit a0adccc117004f71dfc872249cf9fa5e0485a01d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 29 00:13:59 2008 +0900

    replace facts, don't ignore them

commit 6172400706ab09f86d1357f9a0d4710917bd37d2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 23:53:38 2008 +0900

    bump version

commit dff358383a5910d05e23e2d0f237e7d35178305a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 20:01:48 2008 +0900

    consider failures when calculating eta

commit cd64b0db9e1d29b58b74ba4b2e35feced9094d1f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 18:53:04 2008 +0900

    add user tags list, sort tags in canonify

commit 8f2efd83b3beee361c2849993b1b1ccb29ec05b5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 17:15:22 2008 +0900

    fix ref to traceback, make sure to only delete existing indices

commit 5119e46e7ba8c319a96d710cf058e6f2d82806f2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 17:13:47 2008 +0900

    replace add missing active cards with selectable version

commit 8147e5002acad6ee2e920ff813e4fbf1df17c989
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 15:47:52 2008 +0900

    update indices, make sure to build and analyze

commit 0b52e2f0ec6a85317bdbf7a033f9508b2b0a6322
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 15:09:13 2008 +0900

    customizable revision order, refactor failed cards handling

commit 75a61a00cc3b2ccfdb11073b774ece9772f3953b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 28 14:40:27 2008 +0900

    remove card tags

commit 7e305111ad60aee749e6ff6743820a77781671fe
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 23 09:25:14 2008 +0900

    update translations

commit de2780e7975ad3ad3e73277c460c98076686e135
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 23 09:18:41 2008 +0900

    record exported card count when exporting anki deck

commit 2442e9b7193d8a7c6a1d817eb13f2cf8d40e8925
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 23 07:57:13 2008 +0900

    bump version

commit e5126d7c3cc1011faece54c458bd1c6a57604c10
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 23 07:50:31 2008 +0900

    preview support

commit 6299e5f6652b7e9121cf44b7f9e225f90288e648
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 22 16:17:13 2008 +0900

    close other windows on reset()

commit 8f983d5bccd4d48bc3f4543a563b1da0c2bd9a0c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 23:41:14 2008 +0900

    always keep as unicode

commit fbcdae4c51c47d73158c8153db2fc6610256ae6c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 20:39:44 2008 +0900

    make 2->3 work better for larger 2

commit 90487d86ad6de54146e2190ee36878b3e92e193c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 20:24:23 2008 +0900

    remove obsolete code

commit 447985fc87e8eca7a69dd4559314b6f9ba79a0f2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 16:05:39 2008 +0900

    update q/a cache after bulk tag update

commit e1d3f791f53597f5e476ccacbfb44b546e8539a8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 15:46:17 2008 +0900

    do need to rebuild counts on export

commit 0617e229a8254a4d427181e7ab72ae65c47fa5ee
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 15:35:44 2008 +0900

    don't catch error reading deck

commit 8af4c1200fb489042340189776de35fac1100bd1
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 13:36:19 2008 +0900

    don't fail silently

commit 9c8af9d64ffc9d89091ecd1c0275b5f8901bd43a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 13:16:48 2008 +0900

    work around a sync bug

commit f49459fdfb3405d60053109bcec540d77b911890
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 13:08:24 2008 +0900

    del missing error ref

commit eff388974b9ee5676c479a8b0d2a779d5a0365cc
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 13:03:27 2008 +0900

    refactor errors on load

commit c4d30a20d91065e969238c2c7237804671743158
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 21 00:22:23 2008 +0900

    remove mergeTags()

commit ddcdda72c9e109dbb3d1920b07075231e687bd07
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 19 01:30:13 2008 +0900

    no need to wrap empty fields

commit cd383174c6b2f56e0273c20bfd2ddc5b08818bde
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 17 10:55:33 2008 +0900

    fix handling of delay1/2

commit 1b69992e8ffaaeb81b9bc818cb868ca5908cd8e9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 17 09:53:17 2008 +0900

    fix getCards() new card handling logic

commit 9bbb240d373e3582c0883e14c4993d049b8a31d5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 17 08:46:04 2008 +0900

    fix order of cards table to fix saveas bug

commit de09e370063616cbb77d5bdabeb6821da33a1b13
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 17 08:30:14 2008 +0900

    no need to rebuild count on export, as it's done in sync

commit f1d61bc832bb4f0aa86c0b2aaea813d46c5ef3fc
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 16 04:37:14 2008 +0900

    create intermediate dirs (for ipod)

commit 26ad7e81495db31e4bb74c6510518e360a35a1eb
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 16 04:20:14 2008 +0900

    rebuild due counts after sync

commit 76e3659832966cca7e4f42496f89ec519f3ab0f3
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 16 02:47:25 2008 +0900

    bump version

commit e09a29fe0ed98700352d0b23f680280326089f69
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 16 02:38:48 2008 +0900

    fix delay defaults

commit 8ec77ebd53b0c229e79ad23de5ec69a42170887d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 16 02:15:00 2008 +0900

    add alternative failed card handling

commit 2b9344d87ca5fc296289a7385031ec1ac91bf54e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 16 00:38:42 2008 +0900

    update italian translation

commit 420fd4ec77cce728e762fbaf56a97ac7bb93239e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 16 00:36:27 2008 +0900

    refactor deck/backup location

commit cc2952f28b8253dff34d8c442542921fdd5d18c9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 20:21:35 2008 +0900

    add note about history

commit d2ee2521bd796384e6b42b9779ca955566d6eb01
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 20:12:14 2008 +0900

    if there's an error upgrading, try fix integrity and try again

commit 9b25fcc7a2c041091c66508407e2f76490cc5f18
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 18:58:42 2008 +0900

    always generate deck queue

commit 48dc09db5bbecceb6c86a423cda45a8123274eac
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 18:38:17 2008 +0900

    add relativeDelay on upgrade - we don't need it, but old code does

commit 4316c93b7905cf500cf75cf5b8938dc89f001500
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 18:19:01 2008 +0900

    don't dirty cards when upgrading

commit 095aa6dc84029755f2354bf6a1eab92e1a0ed65f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 17:56:54 2008 +0900

    check daily stats in check due, no need to call separately

commit 4e937bf72a819416ae2e89ed7dcc22cf3b021771
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 17:50:46 2008 +0900

    fix seen card count in kanji, fix display bug

commit 97cf06b333c8c861b9a38e595c0b59a20ea87e69
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 17:45:57 2008 +0900

    don't fail on old sqlalchemy

commit 80fb6c52309a6b79811c64765a298ff55fcb5f38
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 17:44:46 2008 +0900

    check due before rebuilding counts

commit 6ec7fba13f4932e3b27fc13871688942b3f96426
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 17:38:35 2008 +0900

    catch errors adding columns

commit cdce18f5c075eeb67baa5ef131652f0eda90a18f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 04:56:52 2008 +0900

    set new card modulus on new cards at end deck

commit af78b0bf9495be179353dc7bba19567e068477bf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 01:11:17 2008 +0900

    fix deck stats

commit 97752138452f89a65998ea593c4fa52b236e8df9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 00:41:24 2008 +0900

    protocol 4 sync

commit a3d305c30cf301df7433d1e783c37e8dbdddd107
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 15 00:37:29 2008 +0900

    bump version

commit a3d968cd55de0a76c57ee48aeee6aadc99e64571
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 22:49:18 2008 +0900

    add primary key constraint support

commit 91114a72c5bbf5d52ce4c9d1bd4e2b2480cfcb0f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 19:48:47 2008 +0900

    no tag searching, add index to db.py

commit 9b224263a91c850b759b17b6723cb00f9522d2bd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 16:09:04 2008 +0900

    fix mnemosyne import of due cards

commit 408c04d41f1a7a9356989b19b7fd23da7164f84e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 15:49:33 2008 +0900

    card model no longer in all tags

commit 6658b47661221a2084df5bce661c81c5febd38db
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 14:33:11 2008 +0900

    add capitalized tags field, don't use cardmodelname in tags

commit 7c630b9805e2a63ce28b8fc7d5c8835e09626916
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 14:06:21 2008 +0900

    change 60 to 30

commit d747745f1342fc5486b208e9e04737a07d16469b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 14:06:00 2008 +0900

    increase sync timeout to 60 seconds

commit cdd2be35481e2f7891791c4409849cfc7d2d3f6e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 14:03:47 2008 +0900

    fix unit test, badstatusline error

commit 5ad662cf95cb8c5cf9dabb39fe8daf797776bf2e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 13:54:54 2008 +0900

    remove 'automatically generated by default' refs

commit 793b660ec3f7a5ae7859b5e0c74523d220b024f2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 13:50:51 2008 +0900

    dump location of non-unicode string references

commit 870d18dff626b8ef2a8c9a37b3a723566220fb7c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 13:34:12 2008 +0900

    and rebuild after fix..

commit a77801fb34806c5b499dd2a35c505e1f4ad0535b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 13:33:29 2008 +0900

    fix plural forms in libanki italian translation

commit 83369de990f31d8af81e185b6fb230080a97c862
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 13:31:24 2008 +0900

    updated spanish translations

commit 1bfed625db2612ea7893676f3ca5e41d407d969b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 02:44:08 2008 +0900

    update spanish translations

commit d54a3ea4058b0a7d6262c639e4c9334b6c383b03
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 02:36:17 2008 +0900

    add italian translation

commit 2aaaa2d4adcc084f180f99f246b91ea15b1d94cd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 14 01:58:42 2008 +0900

    change default deck location

commit f64a5c4b51e213b384fb0cc3f52267f41624a460
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 13 17:42:45 2008 +0900

    tidy

commit 61972d32d72b5e9bfcc99d691433eb74a8d62a7e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 13 17:16:27 2008 +0900

    remove 'tomorrow' special case, add boost for initial 2

commit b6471b15e86115696956ef3459f39b75bb495214
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 13 12:43:51 2008 +0900

    support short eta, don't send same factId in getCards()

commit 5eae130b2943e44a39f165fe51945d7fcb00beff
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 13 03:31:38 2008 +0900

    capitalize tomorrow

commit 07956d9e241e262c91087c9ab27d8f6186e3d974
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 13 03:19:19 2008 +0900

    new bulk card handling, fix count bugs, next int generation

commit ca413a1a88d38c40a4b136b93658150ec4af39b3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 12 18:46:08 2008 +0900

    apply missing merge from master

commit 726e79b405a18c8eb678291990be98324e2a1247
Merge: e9dc034 842918b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 12 18:45:11 2008 +0900

    Merge branch 'master' into dev
    
    Conflicts:
    
    	anki/deck.py

commit 842918bfc467c7f47d01a1b22008303e03a71d86
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 12 18:36:17 2008 +0900

    only commit on last upgrade

commit 2175fa2343c311af7c99da2c63da5f8325a5dd2c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 12 15:09:16 2008 +0900

    Revert "obsolote relativeDelay in favour of interval desc, should fix ubuntu too"
    
    This reverts commit 4558a36d3acde810929c160c7449d8d2c1a84baf.

commit e9dc034b9a78c41bfb9ed4b73ac77e3a343561c5
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 8 20:05:39 2008 +0900

    add refs to relativeDelay again

commit 6cb968c10a0c70d8bdda3d1e386270ccb3aa0aab
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 8 17:41:40 2008 +0900

    fix bugs in merge, fix slow spacedCardCount()

commit 014896478fcac389aebe8466d68b75555e93692a
Merge: b2d0e5d 4558a36
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 8 17:26:45 2008 +0900

    Merge branch 'master' into htmlcache
    
    Conflicts:
    
    	anki/deck.py

commit 4558a36d3acde810929c160c7449d8d2c1a84baf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 8 16:30:41 2008 +0900

    obsolote relativeDelay in favour of interval desc, should fix ubuntu too

commit b2d0e5d3dfee8915b880cb40333d286cb36c507e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 7 18:44:49 2008 +0900

    wip

commit 83bc433e19a5d2dc62af31046c86dbf08a07074b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 6 22:35:50 2008 +0900

    media syncing fix

commit f5bb1d541d0331920140d835e807e6625fd161b9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 28 00:13:16 2008 +0900

    bump version number

commit baa1bbba5f6e8ae2c44c2931149e222a2a8fff54
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 28 00:12:37 2008 +0900

    support any file when tab separated, always use review for mnem

commit 54c6220e51211c17e8c6ce57246dd7a0495c0da1
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 27 19:39:39 2008 +0900

    ignore mnemosyne file format header

commit 9f3f16414b123392809b90655677da26aa963883
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 27 18:53:38 2008 +0900

    only insert readings if field empty

commit e066ea3681e595bf6274f24572613c8c014b4225
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 23 02:24:05 2008 +0900

    optimize for large number of new cards

commit 3d026bb8828373caf5ea6c2232a235310d415b14
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 20 20:19:00 2008 +0900

    make 2 progress too

commit 7b59f4c76894c11802dbb45db30b05e77f00bed9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 19 21:22:47 2008 +0900

    bump version

commit 4ecf76404607f7b24570943a6b35f054194b1a45
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 19 20:25:03 2008 +0900

    reenable history syncing

commit ef3e1c3da43e17255dcf7349a6d252c364e8ee2e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 19 20:22:20 2008 +0900

    properly send protocol version

commit 5a21a79eb8666213d113e391434765d55625ddd4
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 19 18:56:11 2008 +0900

    disable applying history too, until people upgrade

commit c130dac06047589fa5e008a321f296177b0ad9a1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 19 18:46:05 2008 +0900

    temporarily disable history, add canonifyTags

commit 6d358c916689e7df5e36cd7503b330fb7d877576
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 19 03:05:43 2008 +0900

    delete from review history on export

commit bb2c38e7236d467e9db67a566147501bae90b94d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 19 03:03:04 2008 +0900

    reimplement history sync in raw sql

commit c0e5bed6a6989d9f2079be247a7e68692243e990
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 18 20:20:43 2008 +0900

    sync sources, support media syncing in import/export again

commit 2afa59b24afcaed150e99acb267e7ff489eb1c89
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 18 19:10:29 2008 +0900

    remove sync limit, improve bulk media

commit 06d1f713b5ab9415578c6c1b0c80f46c1daf740e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 16 11:08:09 2008 +0900

    fix a big sync bug

commit edda1e5803eee3a72443659107d2fef207bf5a63
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 16 03:38:51 2008 +0900

    bump version

commit 8f78965a2d657afcafd5b4b368e1d1e52afdbe1d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 16 03:05:42 2008 +0900

    bulk media uploader/downloader

commit 06799ad300b415d813850b2bd2b4158486bd4b77
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 16 00:41:30 2008 +0900

    refresh in different place

commit 6a98c1bc64a2cfb31887ec1daad8b192fe9eecf1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 16 00:31:45 2008 +0900

    mark objects undeleted when adding

commit 12e4953dc979e6df330abe4b8ecbf2ab024d2080
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 16 00:02:34 2008 +0900

    add short interval alternatives

commit c8bae8002f2e8f58dce87b27548f31623ac6d161
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 15 16:07:15 2008 +0900

    use end of day, not start of day

commit 5053f070775a421517846a2dbf351a273ba753a2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 15 13:39:56 2008 +0900

    fix noweb update

commit 1eb20be6e3b50fc478c48bd040631355ab592677
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 13 23:11:36 2008 +0900

    make sure to consider tags when checking if cards empty

commit 3933e14c1bf433b7acd7620d16a390c9496db96f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 13 17:53:12 2008 +0900

    default to new cards in order

commit b896c1608990c30600f03a814512527c13809c45
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 07:09:42 2008 +0900

    bump version number

commit 8ea5f06ea60ffc06aa7972e30f948b39ebce2517
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 07:08:57 2008 +0900

    fix bug in conditional card generation

commit b0ad2be96165b1cb695407b2924ce0b445b42f34
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 04:46:14 2008 +0900

    use unicode tags, don't go under 0 in sync timestamp

commit 5a7e053227570d8d020e3ee39b41b1d423a1c9c4
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 03:54:09 2008 +0900

    new french translations

commit 189ca06492e0c53dbd09e4be3eb3c66d9d3f26e7
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 03:49:08 2008 +0900

    remove debug statement

commit 225e31f470f7a3dbebb951fd50a3aca1e86b2c3e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 03:42:52 2008 +0900

    conditional card generation

commit 2a3f653d0ea6accf6ae1e31a2eaa6abd264c052f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 03:21:53 2008 +0900

    possible fix for add cards error

commit 838ed803f74c2a0fef69ed4f9f449ec564bd008d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 02:59:31 2008 +0900

    prevent merging/deletion of public models, add source id

commit 4685523791af0f467e53a30ce5f93b8a58116893
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 01:57:33 2008 +0900

    update graphs for new daily stats

commit e25feed0af51c643d496fc9dec0fc650ea50618f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 04:02:33 2008 +0900

    support 4am rollover

commit 23379cd600f6f91552cb608605b58c0832d4986c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 12 00:19:58 2008 +0900

    get rid of 'deck is empty message'

commit 0d87b6f32d762eabc65550598dba339bfa826c8c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 11 18:19:18 2008 +0900

    set timeout to 10 seconds on sync

commit aa1a5fcc0d8cd6d7aac1e2093cd957177e04ad7f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 10 16:55:07 2008 +0900

    bump version number

commit a0f54015b31187fc4a6335b1c01b7751bbc6a014
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 9 17:26:49 2008 +0900

    change sync url

commit 21bce8192bf08e6f0eefca5e3540675196fb5c97
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 8 01:18:03 2008 +0900

    add id de(coding)

commit e40cdb9608f78e1cf4f62018eaf72460d17d6613
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 7 01:12:06 2008 +0900

    default to 10 minutes for ease 1

commit e69522f120d0845e9bdd92fe6c4880aeda7aa6b4
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 6 18:41:50 2008 +0900

    ensure order of received cards

commit ef9f6bf0510d57105dce2f0ea00470ba2e8c009d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 5 12:03:21 2008 +0900

    bump mod-time post sync, support public deck name

commit fd212883b64077c367646c093d2ca774aa1a22c6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 4 15:18:18 2008 +0900

    remove superfluous error checks, use simplejson to write sources

commit 472eb4581ac35ba2e53b0d8d024a249c526a6ad3
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 4 14:48:23 2008 +0900

    public decks wip

commit 4434665d94d31ac2ffcd91321f97f690883897bb
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 3 18:13:01 2008 +0900

    add safety check to interval calcuation

commit 15616554619add4af9c33e2ca688377feeba3d7c
Author: Damien Elmes <damien@ichi2.net>
Date:   Thu Oct 2 17:57:44 2008 +0900

    start of one way syncing

commit 6d721a3d86b0cc2e56ede985b782927b708910f0
Author: Damien Elmes <damien@ichi2.net>
Date:   Thu Oct 2 17:08:00 2008 +0900

    fail gracefully if id doesn't exist

commit 85c72a9ddbd8bb0b6424d75fb76694a395223a15
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 1 03:16:52 2008 +0900

    forget deletions in integrity check

commit 35fc4fbd3f592cbd5d4ea3a72d64083710fc0508
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Sep 29 14:15:46 2008 +0900

    track full card time, not just question. use failed cnt for average

commit b43bba1d469bf6a17e5fdab0f7cc4385bf193e8c
Author: Damien Elmes <damien@ichi2.net>
Date:   Sun Sep 28 16:16:06 2008 +0900

    only remove session if currently active

commit 6bb24d8a164a3b75beb2cdc3cec93153d781802b
Author: Damien Elmes <damien@ichi2.net>
Date:   Sun Sep 28 16:12:05 2008 +0900

    delete session before closing deck

commit 5da3a0f5d37070cc1c91b455842a80e2b44f274f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 27 23:50:03 2008 +0900

    initial commit from hg
